---
sidebarDepth: 2
---

# Benvingut 👋

[![release-badge]][release]&nbsp;[![license-badge]][license]&nbsp;[![contributions-badge]][contributions]&nbsp;[![semantic-release-badge]][semantic-release]&nbsp;[![crowdin-badge]][crowdin]&nbsp;[![discord-badge]][discord]&nbsp;[![stars-badge]][stars]

Castopod és una plataforma de hosting gratuïta i de codi obert dissenyada per a podcasters que volen intercanviar i interactuar amb el seu públic.

Castopod és fàcil d'instal·lar i ha estat desenvolupat amb [CodeIgniter4](https://codeigniter.com/), un framework PHP potent i molt lleuger.

<div class="flex items-center">
  <a href="/fr/getting-started/install" class="inline-flex items-center px-4 py-2 mx-auto font-semibold text-center text-white rounded-full shadow gap-x-1 bg-pine-500 hover:no-underline hover:bg-pine-600">Instal·la<svg viewBox="0 0 24 24" width="1em" height="1em" class="text-xl text-pine-200"><path fill="currentColor" d="m16.172 11-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"></path></svg></a>
</div>

## Característiques

- 🌱 &nbsp;Lliure, gratuït i de codi obert (Llicència AGPL-3.0)
- 🔐 &nbsp;Centrat en la sobirania de les dades: el teu contingut, el teu públic i les teves estadístiques són teves i només teves
- 🪄 &nbsp;Funcionalitats del Podcasting 2.0 : GUID, bloquejos, transcripcions, finançament, capítols, geolocalització, convidats, fragments sonors, ...
- 💬 &nbsp;Xarxa social integrada:
  - 🚀 &nbsp;Castopod forma part del Fedivers, una xarxa social descentralitzada
  - ❤️ &nbsp;Creació de publicacions, compartir, afegir a preferits i comentar episodis
- 📈 &nbsp;Estadístiques integrades:
  - ⚖️ &nbsp;Compliance GDPR / CCPA / LGPD
  - 🪙 &nbsp;Mesura de l'audiència segons IABv2
  - 🏡 &nbsp;Estadístiques integrades, sense intermediaris de terceres parts
- 📢 &nbsp;Eines de màrqueting integrades:
  - ✅ &nbsp;Preparat per a SEO (metaetiquetes Open Graph, JSON-LD...)
  - 📱 &nbsp;PWA: instal·la-ho com una aplicació independent
  - 🎨 &nbsp;Colors de temes personalitzables
  - 🎬 &nbsp;Genera clips de vídeo per compartir a partir dels episodis
  - 🔉 &nbsp;Genera fragments sonors
  - ▶️ &nbsp;Inclou els teus episodis a qualsevol lloc web
- 💸 &nbsp;Monetització:
  - 🔗 &nbsp;Enllaços de finançament
  - 📲 &nbsp;Publicitat "listen-to-click"
  - 🤝 &nbsp;value4value / WebMonetization
  - 💎 &nbsp;Podcasts de pagament
- 📡 &nbsp;Publica els teus episodis arreu amb RSS:
  - 📱 &nbsp;A tots els índexs i aplicacions: Podcast Index, Podcasts d'Apple, Spotify, Google Podcasts, Deezer, Podcast Addict, Podfriend...
  - ⚡ &nbsp;Un consum instantani d'episodis amb WebSub
- 📥 &nbsp;Importació de podcasts: trasllada el teu podcast existent a Castopod
- 📤 &nbsp;Canvia el teu podcast a un altre proveïdor d'hosting
- 🔀 &nbsp;Multiinquilí: allotja tants podcasts com vulguis
- 👥 &nbsp;Multiusuari: afegeix col·laboradors i determina els seus rols
- 🌎 &nbsp;Suport de i18n: traduït a l'anglès, francès, polonès, alemany, portuguès, portuguès del Brasil i espanyol... i [més a l'avenir](https://translate.castopod.org)!

## Per què Castopod?

L'ecosistema dels podcasts és descentralitzat per naturalesa: pots crear el teu podcast com un fitxer RSS, publicar-lo a la web i compartir-lo arreu en línia.

De fet, és un dels pocs mitjans que ha mantingut aquesta característica durant molt de temps.

A mesura que els usos evolucionen, cada vegada hi ha més persones que s'interessen pels podcasts: ja sigui creadors que busquin noves maneres de compartir les seves idees o oients a la recerca de contingut millor.

Amb l'increment de l'ús dels podcasts, algunes empreses intenten traslladar-lo cap a un mitjà més controlat i centralitzat.

Castopod es va crear per oferir una alternativa oberta i sostenible per allotjar els teus podcasts, promoure la descentralització i assegurar que la creativitat dels podcasters es pugui expressar.

Aquest projecte està impulsat per la comunitat de codi obert, i concretament pels moviments [Fedivers](https://fediverse.party/en/fediverse/) i [Podcasting 2.0](https://podcastindex.org/).

## Comparativa amb altres solucions

Creiem que una solució no és necessàriament adequada per a tothom, depèn molt de les teves necessitats. Així que aquí tens algunes comparatives amb altres eines per ajudar-te a veure si Castopod és la solució adequada per a&nbsp;tu.

### Castopod vs Wordpress

Castopod sovint s'anomena "el Wordpress dels podcasts" a causa de les similituds entre ambdues plataformes. En cert sentit, això és cert. De fet, Castopod s'ha inspirat en gran manera en l'ecosistema de Wordpress, observant la facilitat d'adopció per part de la comunitat i la gran quantitat de llocs web que l'utilitzen.

Com WordPress, Castopod és gratuït i de codi obert, construït amb PHP i una base de dades MySQL, i es presenta d'una manera fàcil d'instal·lar en la majoria dels servidors web.

WordPress és una gran manera de crear el teu lloc web i ampliar-lo amb complementos per obtenir el que vols. És un CMS potent que t'ajuda a publicar qualsevol tipus de lloc web.

D'altra banda, Castopod té com a objectiu satisfer les necessitats dels podcasters en concret, centrant-se exclusivament en els podcasts i en res més. No necessitaràs cap complement per començar amb la teva aventura de fer podcasts.

Això permet optimitzar els processos específics dels podcasts: des de la creació dels teus podcasts i la publicació de nous episodis fins a la difusió, el màrqueting i les analítiques.

Finalment, depenent de les teves necessitats, Castopod i WordPress fins i tot poden coexistir, ja que comparteixen els mateixos requisits!

### Castopod vs Funkwhale

Funkwhale és un servidor de música autònom, modern i de codi obert. Com Castopod, Funkwhale es troba al fedivers, una xarxa social descentralitzada que permet la interoperabilitat entre ambdues.

Funkwhale va ser creat inicialment per a la música. Més tard, a mesura que el projecte va evolucionar, es va introduir l'opció d'allotjar podcasts.

A diferència de Funkwhale, Castopod ha estat dissenyat i construït específicament per als podcasts. Això permet una implementació més senzilla de les funcions relacionades amb l'ecosistema dels podcasts, com ara les funcionalitats de podcasting 2.0 (transcripcions, capítols, ubicacions, persones, etcètera).

Per tant, hauries d'utilitzar Funkwhale si vols allotjar la teva música i utilitzar Castopod si vols allotjar els teus podcasts.

### Castopod vs altres proveïdors d'allotjament de podcasts

Hi ha moltes solucions per allotjar els teus podcasts, algunes de les quals són molt bones i [moltes d'elles](https://podcastindex.org/apps) es troben en la tendència del Podcasting 2.0 igual que Castopod!

Cada una d'aquestes solucions és diferent de les altres; pots comparar-les amb la [llista de característiques](#característiques).

Dit això, hi ha dues diferències principals amb les altres solucions de podcasts:

- Castopod es pot autoallotjar i és l'únic proveïdor que et permet mantenir el control total del que produeixes. D'altra banda, com que és de codi obert, tens el poder de modificar-lo com vulguis.

- Castopod és l'única solució que integra ara mateix tant una xarxa social descentralitzada basada en l'ActivityPub com funcionalitats de "Podcasting 2.0", reduint la distància entre ambdues.

## Contribució

T'agrada Castopod i vols ajudar? Consulta la documentació següent per començar.

### Codi de conducta

Castopod ha adoptat el Codi de Conducta que fem servir perquè els participants en el projecte s'hi adhereixin. Llegeix el [manual del CODI_DE_CONDUCTA](https://code.castopod.org/adaures/castopod/-/blob/beta/CODE_OF_CONDUCT.md) per entendre quines accions seran intolerables i quines no ho seran.

### Guia de contribució

Llegeix la nostra [guia de contribució](./contributing/guidelines.md) per obtenir informació sobre el nostre procés de desenvolupament, com proposar correccions d'errors i millores, i com construir i provar els teus canvis a Castopod.

## Contribuïdors ✨

Volem agrair a aquesta gent fantàstica (clau d'emojis [aquí](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - No esborris ni modifiquis aquesta secció -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/yassinedoghri"><img src="https://code.castopod.org/uploads/-/system/user/avatar/3/avatar.png?s=100" width="100px;" alt="Yassine Doghri"/><br /><sub><b>Yassine Doghri</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=yassinedoghri" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=yassinedoghri" title="Reviewed Pull Requests">👀</a> <a href="#maintenance-yassinedoghri" title="Maintenance">🚧</a> <a href="#content-yassinedoghri" title="Content">🖋</a> <a href="#design-yassinedoghri" title="Design">🎨</a> <a href="#a11y-yassinedoghri" title="Accessibility">️️️️♿️</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-yassinedoghri" title="Answering Questions">💬</a> <a href="#mentoring-yassinedoghri" title="Mentoring">🧑‍🏫</a> <a href="#infra-yassinedoghri" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-yassinedoghri" title="Ideas, Planning, & Feedback">🤔</a> <a href="#projectManagement-yassinedoghri" title="Project Management">📆</a> <a href="https://blog.castopod.org/author/yassinedoghri/" title="Blogposts">📝</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/benjamin"><img src="https://code.castopod.org/uploads/-/system/user/avatar/2/avatar.png?s=100" width="100px;" alt="Benjamin Bellamy"/><br /><sub><b>Benjamin Bellamy</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=benjamin" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=benjamin" title="Reviewed Pull Requests">👀</a> <a href="#content-benjamin" title="Content">🖋</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-benjamin" title="Answering Questions">💬</a> <a href="#infra-benjamin" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-benjamin" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://blog.castopod.org/author/benjamin-bellamy/" title="Blogposts">📝</a> <a href="#projectManagement-benjamin" title="Project Management">📆</a> <a href="#talk-benjamin" title="Talks">📢</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ola-hn"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Ola Hneini"/><br /><sub><b>Ola Hneini</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=ola" title="Reviewed Pull Requests">👀</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="#maintenance-ola" title="Maintenance">🚧</a> <a href="#question-ola" title="Answering Questions">💬</a> <a href="#ideas-ola" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/rdlaage"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Romain de Laage"/><br /><sub><b>Romain de Laage</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="#infra-rdelaage" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#ideas-rdelaage" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://twitter.com/lyonelbernard"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Lyonel Bernard"/><br /><sub><b>Lyonel Bernard</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=Lyonel" title="Bug reports">🐛</a> <a href="#question-Lyonel" title="Answering Questions">💬</a> <a href="#audio-Lyonel" title="Audio">🔊</a> <a href="#ideas-Lyonel" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://www.crypticchameleon.com/"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Christopher Lagonick-Weitzel"/><br /><sub><b>Christopher Lagonick-Weitzel</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=ctlw83" title="Bug reports">🐛</a> <a href="#question-ctlw83" title="Answering Questions">💬</a> <a href="#audio-ctlw83" title="Audio">🔊</a> <a href="#ideas-ctlw83" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://ernestoacosta.me/"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Ernesto Acosta"/><br /><sub><b>Ernesto Acosta</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=ernestoacostame" title="Bug reports">🐛</a> <a href="#audio-ernestoacostame" title="Audio">🔊</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-ernestoacostame" title="Answering Questions">💬</a> <a href="#ideas-ernestoacostame" title="Ideas, Planning, & Feedback">🤔</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/Behel"><img src="https://secure.gravatar.com/avatar/ad63ee8ef8e3db8253d21e5012d2724f?s=80&d=identicon?s=100" width="100px;" alt="Bastien Luneteau"/><br /><sub><b>Bastien Luneteau</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=Behel" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/PatrykMis"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Patryk Miś"/><br /><sub><b>Patryk Miś</b></sub></a><br /><a href="https://translate.castopod.org" title="Translation">🌍</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/mspanc"><img src="https://secure.gravatar.com/avatar/eed8337939641eac5ad0b570bd6acf96?s=80&d=identicon?s=100" width="100px;" alt="Marcin Lewandowski"/><br /><sub><b>Marcin Lewandowski</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=mspanc" title="Bug reports">🐛</a> <a href="#ideas-mspanc" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"></td>
      <td align="center" valign="top" width="14.28%"></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

Aquest projecte segueix l'especificació de
[all-contributors](https://github.com/all-contributors/all-contributors).
Totes les contribucions són benvingudes!

## Contacte

Ens pots contactar per obtenir ajuda o fer preguntes sobre Castopod a:

- [Discord](https://castopod.org/discord) (per parlar en temps real amb els desenvolupadors i la comunitat)
- [Seguiment de problemes](https://code.castopod.org/adaures/castopod/-/issues) (per fer-ne qualsevol pregunta, suggeriment de nova funcionalitat o informe de bug)

Alternativament, també pots seguir-nos a les xarxes socials per obtenir notícies sobre Castopod:

- [podlibre.social](https://podlibre.social/@Castopod) (Instància Mastodon)
- [Twitter](https://twitter.com/castopod)
- [LinkedIn](https://linkedin.com/company/castopod)
- [Facebook](https://www.facebook.com/castopod)

## Patrocinadors

El desenvolupament continu de Castopod és possible gràcies al suport dels seus mecenes. Si vols ajudar, considera [patrocinar el desenvolupament de Castopod](https://opencollective.com/castopod/contribute).

<div class="flex flex-wrap gap-x-16 gap-y-8">
  <a href="https://adaures.com/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/adaures.svg" alt="Logo d'Ad Aures" class="h-16" /></a>
  <a href="https://nlnet.nl/project/Castopod/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/nlnet.svg" alt="Logo de NLnet" class="h-16" /></a>
</div>

## Llicència

[Llicència pública general Affero GNU v3.0](https://choosealicense.com/licenses/agpl-3.0/)

Drets d'autor © 2020-present, [Ad Aures](https://adaures.com/).
[release]: https://code.castopod.org/adaures/castopod/-/releases
[license]: https://code.castopod.org/adaures/castopod/-/blob/beta/LICENSE.md
[contributions]: https://code.castopod.org/adaures/castopod/-/issues
[semantic-release]: https://github.com/semantic-release/semantic-release
[discord]: https://castopod.org/discord
[stars]: https://github.com/ad-aures/castopod/stargazers
[crowdin]: https://translate.castopod.org/project/castopod