---

sidebarDepth: 2
---

# Willkommen 👋

[![release-badge]][release]&nbsp;[![license-badge]][license]&nbsp;[![contributions-badge]][contributions]&nbsp;[![semantic-release-badge]][semantic-release]&nbsp;[![crowdin-badge]][crowdin]&nbsp;[![discord-badge]][discord]&nbsp;[![stars-badge]][stars]

Castopod ist eine kostenlose und Open-Source-Hosting-Plattform, die für Podcaster entwickelt wurde, die mit ihrem Publikum kommunizieren und interagieren möchten.

Castopod ist einfach zu installieren und wurde mit [CodeIgniter4](https://codeigniter.com/), einem leistungsstarken PHP-Framework in sehr kleinem Umfang, entwickelt.

<div class="flex items-center">
  <a href="/fr/getting-started/install" class="inline-flex items-center px-4 py-2 mx-auto font-semibold text-center text-white rounded-full shadow gap-x-1 bg-pine-500 hover:no-underline hover:bg-pine-600">Installieren<svg viewBox="0 0 24 24" width="1em" height="1em" class="text-xl text-pine-200"><path fill="currentColor" d="m16.172 11-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"></path></svg></a>
</div>

## Eigenschaften

- 🌱 &nbsp;Frei, kostenlos und Open-Source (Lizenz AGPL v3)
- 🔐 &nbsp;fokussiert auf Datenhoheit: Dein Inhalt, Deine Zuhörer und Deine Statistiken gehören dir und nur dir
- 🪄&nbsp;Podcasting 2.0 Funktionen: GUIDs, Sperren, Transkriptionen, Finanzierung, Kapitel, Geolokalisierung, Teilnehmer, Audio-Extrakte, ...
- 💬 &nbsp;Integriertes soziales Netzwerk:
  - 🚀 &nbsp;Castopod ist Teil des Fediverse, ein dezentrales soziales Netzwerk
  - ❤️ &nbsp;Erstellen von Beiträgen, Teilen, Favorisieren und Kommentieren von Episoden
- 📈 &nbsp;Integrierte Statistiken:
  - ⚖️ &nbsp;Konform mit GDPR / CCPA / LGPD
  - 🪙&nbsp;IABv2-Zielgruppenmessung
  - 🏡 &nbsp;Integrierte Statistiken, keine Drittanbieter
- 📢 &nbsp;Integrierte Marketingtools:
  - ✅ &nbsp;SEO-Bereitstellung (Open-Graph-Metatags, JSON-LD, ...)
  - 📱 &nbsp;PWA: Installieren als eigenständige App
  - 🎨 &nbsp;Anpassbare Themenfarben
  - 🎬 &nbsp;Erstellen Sie Videoschnipsel, die Sie freigeben können, aus Episoden
  - 🔉 &nbsp;Erstellen Sie Audio-Extrakte
  - ▶️ &nbsp;Binden Sie Ihre Episoden in jede Website ein
- 💸 &nbsp;Monetarisierung:
  - 🔗 &nbsp;Finanzierungslinks
  - 📲 &nbsp;Werbung "listen-to-click"
  - 🤝 &nbsp;value4value / WebMonetization
  - 💎 &nbsp;Premium-Podcasts
- 📡&nbsp;Veröffentlichen Sie Ihre Episoden überall mit RSS:
  - 📱 &nbsp;Auf allen Indizes und Apps: Podcast Index, Podcasts Apple, Spotify, Google Podcasts, Deezer, Podcast Addict, Podfriend ...
  - ⚡&nbsp;Streamen Sie Ihre Episoden sofort mit WebSub
- 📥 &nbsp;Import von Podcasts: Ziehen Sie Ihren vorhandenen Podcast zu Castopod um
- 📤 &nbsp;Ziehen Sie Ihren Podcast zu einem anderen Hosting-Dienstleister um
- 🔀 &nbsp;Mehrmandantenfähigkeit: Hosten Sie so viele Podcasts, wie Sie möchten
- 👥 &nbsp;Mehrbenutzerfähigkeit: Fügen Sie Mitwirkende hinzu und definieren Sie ihre Rollen
- 🌍 &nbsp;i18n-Unterstützung: Übersetzt in Englisch, Französisch, Polnisch, Deutsch, Portugiesisch, Brasilianisch und Spanisch... und
  [mehr in Zukunft](https://translate.castopod.org)!

## Warum Castopod?

Der Podcasting-Ökosystem ist von Natur aus dezentralisiert: Du kannst deinen Podcast als RSS-Datei erstellen, ihn im Web veröffentlichen und überall im Internet teilen.

In der Tat ist es eines der wenigen Medien, die seit langem auf diese Weise geblieben sind.

Da sich die Gewohnheiten ändern, steigen immer mehr Menschen in Podcasts ein: sei es Kreative, die neue Wege suchen, um ihre Ideen zu teilen, oder Hörer, die nach besseren Inhalten suchen.

Mit der zunehmenden Verbreitung von Podcasts versuchen einige Unternehmen, ihn in ein kontrollierteres und zentralisiertes Medium zu verwandeln.

Castopod wurde geschaffen, um eine offene und nachhaltige Alternative zum Hosting von Podcasts zu bieten und die Dezentralisierung zu fördern, um die Kreativität der Podcaster zum Ausdruck zu bringen.

Dieses Projekt wird von der Open-Source-Community vorangetrieben, insbesondere von der [Fediverse](https://fediverse.party/en/fediverse/)- und Podcasting 2.0-Bewegungen.

## Vergleich mit anderen Lösungen

Wir glauben, dass nicht jede Lösung für jeden geeignet ist, sondern stark von deinen Bedürfnissen abhängt. Hier findest du Vergleiche mit anderen Tools, um herauszufinden, ob Castopod das Richtige für dich ist.

### Castopod vs Wordpress

Castopod wird oft als "das Wordpress für Podcasts" bezeichnet, aufgrund der Ähnlichkeiten zwischen den beiden. In gewisser Weise stimmt das. Tatsächlich wurde Castopod stark von der Wordpress-Umgebung inspiriert, da die Community die Leichtigkeit der Nutzung und die Vielzahl der damit betriebenen Websites erkannte.

Genau wie bei Wordpress ist Castopod kostenlos und Open Source. Es wird mit PHP und einer MySQL-Datenbank entwickelt und kann einfach auf den meisten Webserven installiert werden.

Wordpress ist eine großartige Möglichkeit, deine Website zu erstellen und mit Plugins zu erweitern, um das zu erhalten, was du willst. Es ist ein vollwertiges Content-Management-System, mit dem du jede Art von Website online stellen kannst.

Castopod dagegen ist darauf ausgelegt, speziell die Bedürfnisse der Podcaster zu erfüllen und sich ausschließlich auf das Podcasting zu konzentrieren. Du benötigst kein Plugin, um mit deinem Podcasting-Projekt zu beginnen.

Dadurch können die spezifischen Prozesse des Podcastings optimiert werden: von der Erstellung deiner Podcasts und der Veröffentlichung neuer Episoden bis hin zur Verbreitung, Vermarktung und Analyse.

Je nach Bedarf können Wordpress und Castopod sogar nebeneinander existieren, da sie dieselben Anforderungen teilen!

### Castopod vs Funkwhale

Funkwhale ist ein selbst gehosteter, moderner, kostenloser und Open Source Musikserver. Wie Castopod gehört Funkwhale zum Fediverse, einem dezentralen sozialen Netzwerk, das die Interoperabilität zwischen den beiden ermöglicht.

Funkwhale wurde ursprünglich für Musik entwickelt. Später wurde die Möglichkeit, Podcasts zu hosten, eingeführt.

Im Gegensatz zu Funkwhale wurde Castopod speziell für das Podcasting entwickelt. Dies erleichtert die Implementierung von Funktionen, die mit dem Podcasting-Ökosystem verbunden sind, wie z.B. die Funktionen von Podcasting 2.0 (Transkripte, Kapitel, Orte, Personen, ...).

Wenn du also deine Musik hosten möchtest, solltest du wahrscheinlich Funkwhale verwenden. Wenn du jedoch deine Podcasts hosten möchtest, solltest du Castopod verwenden.

### Castopod vs andere Podcast-Hoster

Es gibt viele Lösungen, um deine Podcasts zu hosten. Einige davon sind wirklich großartig und [viele von ihnen](https://podcastindex.org/apps) springen genauso wie Castopod auf den Podcasting-2.0-Zug!

Jede dieser Lösungen unterscheidet sich voneinander. Du kannst sie anhand der [Feature-Liste](#-features) vergleichen.

Das heißt, es gibt zwei Hauptunterschiede zu anderen Podcasting-Lösungen:

- Castopod kann selbst gehostet werden und ist die einzige Lösung, mit der du die vollständige Kontrolle über das behältst, was du produzierst. Da es Open Source ist, hast du die Möglichkeit, es nach Belieben anzupassen.

- Castopod ist die einzige Lösung, die heute eine dezentrale soziale Plattform mit ActivityPub und "Podcasting 2.0" -Funktionen integriert und so die Kluft zwischen den beiden verringert.

## Mitwirken

Liebst du Castopod und möchtest helfen? Schau dir die folgende Dokumentation an, um loszulegen.

### Code of Conduct

Castopod hat einen Verhaltenskodex angenommen, an den sich Projektteilnehmer halten sollen. Bitte lese die [CODE_OF_CONDUCT-Anleitung](https://code.castopod.org/adaures/castopod/-/blob/beta/CODE_OF_CONDUCT.md), damit du verstehst, welche Aktionen toleriert werden und welche nicht.

### Beitragshinweise

Lies unseren [Leitfaden zur Mitarbeit](./contributing/guidelines.md), um mehr über unseren Entwicklungsprozess, das Einreichen von Bugfixes und Verbesserungsvorschlägen sowie das Erstellen und Testen von Änderungen in Castopod zu erfahren.

## Beitragende ✨

Ein großer Dank geht an diese wunderbaren Menschen
([emoji key](https://allcontributors.org/docs/en/emoji-key)):