---
title: Εγκατάσταση
sidebarDepth: 3
---

# Πώς να εγκαταστήσετε το Castopod;

Το Castopod έχει σχεδιαστεί να είναι εύκολο στην εγκατάσταση. Αν μιλάμε για
αποκλειστική ή κοινή φιλοξενία, μπορείτε να το εγκαταστήσετε σε περισσότερους
ιστοσέλιδους διακομιστές που υποστηρίζονται από PHP-MySQL.

::: tip Σημείωση

Έχουμε δημοσιεύσει επίσημες εικόνες Docker για το Castopod!

Εάν προτιμάτε να χρησιμοποιήσετε το Docker, μπορείτε να παραλείψετε αυτό το μέρος και να πάτε απευθείας στην αντίστοιχη [τεκμηρίωση Docker](./docker.md) για το Castopod.

:::

## Προαπαιτήσεις

- PHP v8.1
- Έκδοση MySQL 5.7 ή νεότερη ή Έκδοση MariaDB 10.2 ή νεότερη
- Υποστήριξη HTTPS
- Ένα [συγχρονισμένο ρολόι](https://wiki.debian.org/NTP) για την επαλήθευση των εισερχομένων αιτημάτων της ένωσης

### PHP v8.1

Απαιτείται η έκδοση 8.1 της PHP, με τις ακόλουθες επεκτάσεις εγκατεστημένες:

- [intl](https://www.php.net/manual/fr/intl.requirements.php)
- [libcurl](https://www.php.net/manual/fr/curl.requirements.php)
- [mbstring](https://www.php.net/manual/fr/mbstring.installation.php)
- [gd](https://www.php.net/manual/en/image.installation.php) με τις βιβλιοθήκες **JPEG**,
  **PNG** και **WEBP**.
- [exif](https://www.php.net/manual/fr/exif.installation.php)

Επιπλέον, βεβαιωθείτε ότι οι ακόλουθες επεκτάσεις είναι ενεργοποιημένες στην PHP:

- json (ενεργοποιημένο από προεπιλογή - μην το απενεργοποιείτε)
- xml (ενεργοποιημένο από προεπιλογή - μην το απενεργοποιείτε)
- [mysqlnd](https://www.php.net/manual/fr/mysqlnd.install.php)

### Συμβατή βάση δεδομένων MySQL

> Συνιστούμε τη χρήση [της MariaDB](https://mariadb.org).

::: warning Προσοχή

Το Castopod λειτουργεί μόνο με βάσεις δεδομένων MySQL 5.7 ή νεότερες. Οι έκδοσης 5.6 (η υποστήριξη της οποίας έληξε στις 5 Φεβρουαρίου 2021) ή παλαιότερες του MySQL δεν θα λειτουργήσουν.

:::

Θα χρειαστείτε το όνομα του υποδοχέα του εξυπηρετητή, το όνομα της βάσης δεδομένων, το όνομα χρήστη και τον κωδικό πρόσβασης για να ολοκληρώσετε τη διαδικασία εγκατάστασης. Εάν δεν έχετε αυτές τις πληροφορίες, επικοινωνήστε με τον διαχειριστή.

#### Δικαιώματα πρόσβασης

Ο χρήστης πρέπει να έχει τουλάχιστον αυτά τα δικαιώμ