---
sidebarDepth: 2
---

# Bienvenido 👋

[![release-badge]][release]&nbsp;[![license-badge]][license]&nbsp;[![contributions-badge]][contributions]&nbsp;[![semantic-release-badge]][semantic-release]&nbsp;[![crowdin-badge]][crowdin]&nbsp;[![discord-badge]][discord]&nbsp;[![stars-badge]][stars]

Castopod es una plataforma de alojamiento gratuita y de código abierto diseñada para los podcasters que quieren interactuar con su público.

Castopod es fácil de instalar y ha sido diseñado con [CodeIgniter4](https://codeigniter.com/), un framework PHP potente y liviano.

<div class="flex items-center">
  <a href="/es/getting-started/install" class="inline-flex items-center px-4 py-2 mx-auto font-semibold text-center text-white rounded-full shadow gap-x-1 bg-pine-500 hover:no-underline hover:bg-pine-600">Instalar<svg viewBox="0 0 24 24" width="1em" height="1em" class="text-xl text-pine-200"><path fill="currentColor" d="m16.172 11-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"></path></svg></a>
</div>

## Características

- 🌱 &nbsp;Libre, gratuito y de código abierto (Licencia AGPL v3)
- 🔐 &nbsp;Enfocado en la soberanía de los datos: tu contenido, tu audiencia y tus estadísticas te pertenecen únicamente a ti
- 🪄&nbsp;Funcionalidades de Podcasting 2.0: GUID, cerradura, transcripciones, financiación, capítulos, geolocalización, colaboradores, clips de audio, ...
- 💬 &nbsp;Red social integrada:
  - 🚀 &nbsp;Castopod forma parte de Fédivers, una red social descentralizada
  - ❤️ &nbsp;Crea publicaciones, comparte, favorita y comenta episodios
- 📈 &nbsp;Estadísticas integradas:
  - ⚖️ &nbsp;Cumple con GDPR / CCPA / LGPD
  - 🪙&nbsp;Medición de audiencia IABv2
  - 🏡 &nbsp;Estadísticas integradas, sin intermediarios externos
- 📢 &nbsp;Herramientas de marketing integradas:
  - ✅ &nbsp;Preparado para SEO (metatags de gráfico abierto, JSON-LD...)
  - 📱 &nbsp;PWA: instala como aplicación autónoma
  - 🎨 &nbsp;Personaliza los colores del tema
  - 🎬 &nbsp;Genera clips de vídeo listos para compartir desde episodios
  - 🔉 &nbsp;Genera clips de audio
  - ▶️ &nbsp;Integra tus episodios en cualquier sitio web
- 💸 &nbsp;Monetización:
  - 🔗 &nbsp;Enlaces de financiación
  - 📲 &nbsp;Publicidad "escucha-y-clica"
  - 🤝 &nbsp;Value4value / WebMonetization
  - 💎 &nbsp;Podcasts premium
- 📡&nbsp;Publica tus episodios en todas partes con RSS:
  - 📱 &nbsp;En todos los índices y aplicaciones: Podcast Index, Podcasts de Apple, Spotify, Google Podcasts, Deezer, Podcast Addict, Podfriend, ...
  - ⚡&nbsp;Difunde tus episodios instantáneamente con WebSub
- 📥 &nbsp;Importa tu podcast: mueve tu podcast existente a Castopod
- 📤 &nbsp;Mueve tu podcast a otro proveedor de alojamiento
- 🔀 &nbsp;Multiinquilino: aloja tantos podcasts como quieras
- 👥 &nbsp;Multiusuario: agrega colaboradores y define sus roles
- 🌎 &nbsp;Soporte i18n: traducido al inglés, francés, polaco, alemán, portugués (brasileño) y español... y [más en el futuro](https://translate.castopod.org)!

¿Por qué Castopod?

El ecosistema de los podcasts es descentralizado por naturaleza: puedes crear tu podcast como un archivo RSS, publicarlo en la web y compartirlo en todos los lugares online.

De hecho, es uno de los pocos medios de comunicación que se ha mantenido así durante mucho tiempo.

A medida que los usos evolucionan, cada vez más personas se sumergen en los podcasts: ya sea que los creadores busquen nuevas formas de compartir sus ideas, o que los oyentes busquen un contenido de mayor calidad.

Con el aumento del uso de los podcasts, algunas empresas están tratando de convertirlo en un medio más controlado y centralizado.

Castopod fue creado para proporcionar una alternativa abierta y sostenible para alojar tus podcasts, promoviendo la descentralización para asegurar que la creatividad de los podcasters pueda expresarse libremente.

Este proyecto es impulsado por la comunidad de código abierto, y en particular por el movimiento de [Fediverse](https://fediverse.party/en/fediverse/) y [Podcasting 2.0](https://podcastindex.org/).

## Comparación con otras soluciones

Creemos que una solución no siempre es adecuada para todos, depende mucho de tus necesidades. Por lo tanto, aquí tienes comparaciones con otras herramientas para ayudarte a determinar si Castopod es la opción adecuada para&nbsp;ti.

### Castopod vs Wordpress

Castopod a menudo se considera como "el Wordpress de los podcasts" debido a las similitudes entre ambos. En cierto sentido, esto es cierto. Y de hecho, Castopod se inspiró en gran medida en el ecosistema de Wordpress, al ver la facilidad de adopción por parte de la comunidad y la cantidad de sitios web en funcionamiento con&nbsp;él.

Al igual que Wordpress, Castopod es gratuito y de código abierto, construido con PHP y una base de datos MySQL, y se empaqueta de manera que puedas instalarlo fácilmente en la mayoría de los servidores&nbsp;web.

Wordpress es una excelente manera de crear un sitio web y extenderlo con complementos para obtener lo que desees. Es un CMS completo que te ayuda a tener cualquier tipo de sitio web en&nbsp;línea.

Por otro lado, Castopod está destinado a satisfacer las necesidades de los podcasters en particular, centrándose en el podcasting y nada más. No necesitas ningún complemento para comenzar tu viaje en el podcasting.

Esto permite optimizar los procesos específicos del podcasting, desde la creación de tus podcasts y la publicación de nuevos episodios, hasta la difusión, el marketing y las&nbsp;analíticas.

Finalmente, dependiendo de tus necesidades, ¡Wordpress y Castopod incluso pueden vivir juntos, ya que tienen los mismos requisitos!

### Castopod vs Funkwhale

Funkwhale es un servidor de música auto alojado, moderno, gratuito y de código abierto. Al igual que Castopod, Funkwhale se encuentra en el fediverso, una red social descentralizada que permite la interoperabilidad entre ambos.

Funkwhale se construyó inicialmente en torno a la música. Y más adelante, el proyecto se amplió para permitir el alojamiento de podcasts.

A diferencia de Funkwhale, Castopod se ha diseñado y construido exclusivamente en torno a los podcasts. Esto permite una implementación más sencilla de características relacionadas con el ecosistema de podcasting, como las características del podcasting&nbsp;2.0 (transcripciones, capítulos, ubicaciones, personas, ...).

Por lo tanto, probablemente deberías usar Funkwhale si quieres alojar tu música, y usar Castopod si quieres alojar tus&nbsp;podcasts.

### Castopod vs Otros servicios de alojamiento de podcasts

Hay muchas soluciones disponibles para alojar tus podcasts, ¡algunas de las cuales son realmente geniales y [muchas de ellas](https://podcastindex.org/apps) se están subiendo al carro de Podcasting&nbsp;2.0 como Castopod!

Cada una de estas soluciones es diferente entre sí, por lo que puedes compararlas con la [lista de funcionalidades](#características).

Dicho esto, hay dos diferencias principales con otras soluciones de podcasting:

- Castopod se puede auto alojar y es la única solución que te permite tener un control total sobre lo que produces. Además, al ser de código abierto, tienes el poder de modificarlo como desees.

- Castopod es la única solución que integra un fediverso, una red social descentralizada basada en ActivityPub, y funcionalidades de "Podcasting 2.0", reduciendo así la brecha entre&nbsp;ambas.

## Contribuir

¿Te gusta Castopod y te gustaría ayudar? Echa un vistazo a la siguiente documentación para empezar.

### Código de conducta

Castopod ha adoptado un código de conducta al que esperamos que los participantes del proyecto se adhieran. Por favor, lee el manual de [CODE_OF_CONDUCT](https://code.castopod.org/adaures/castopod/-/blob/beta/CODE_OF_CONDUCT.md) para que puedas entender qué acciones serán y no serán&nbsp;toleradas.

### Guía de contribución

Lee nuestra [guía de contribución](./contributing/guidelines.md) para aprender sobre nuestro proceso de desarrollo, cómo proponer correcciones de errores y mejoras, y cómo compilar y probar tus cambios en Castopod.

## Contribuidores ✨

Agradecimientos a estas maravillosas personas ([leyenda de emoticonos](https://allcontributors.org/docs/es/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - No eliminar ni modificar esta sección -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody><tr>
    <td align="center" valign="top" width="14.28%"><a href="https://github.com/yassinedoghri"><img src="https://code.castopod.org/uploads/-/system/user/avatar/3/avatar.png?s=100" width="100" alt="Yassine Doghri"/><br>
    <sub><b>Yassine Doghri</b></sub></a><br>
    <a href="#code-yassinedoghri" title="Código">💻</a>
    <a href="#bug-yassinedoghri" title="Informes de errores">🐛</a>
    <a href="#userTesting-yassinedoghri" title="Pruebas de usuario">📓</a>
    <a href="#ideas-yassinedoghri" title="Ideas">🤔</a>
    <a href="https://translate.castopod.org" title="Traducción">🌍</a>
    <a href="#talk-yassinedoghri" title="Charlas">🗣</a></td>
    <td align="center" valign="top" width="14.28%"><a href="https://github.com/benjamin"><img src="https://code.castopod.org/uploads/-/system/user/avatar/2/avatar.png?s=100" width="100" alt="Benjamin Bellamy"/><br>
    <sub><b>Benjamin Bellamy</b></sub></a><br>
    <a href="#good-ideas-benjamin" title="Ideas">🤔</a>
    <a href="#design-benjamin" title="Diseño">🎨</a>
    <a href="https://translate.castopod.org" title="Traducción">🌍</a></td>
    <td align="center" valign="top" width="14.28%"><a href="https://castopod.org/assets/images/castopod-avatar.jpg"><img src="https://castopod.org/assets/images/castopod-avatar.jpg" width="100" alt="Ola Hneini"/><br>
    <sub><b>Ola Hneini</b></sub></a><br>
    <a href="#ideas-ola-hneini" title="Ideas">🤔</a>
    <a href="https://translate.castopod.org" title="Traducción">🌍</a></td>
    <td align="center" valign="top" width="14.28%"><a href="https://castopod.org/assets/images/castopod-avatar.jpg"><img src="https://castopod.org/assets/images/castopod-avatar.jpg" width="100" alt="Romain de Laage"/><br>
    <sub><b>Romain de Laage</b></sub></a><br>
    <a href="#ideas-romain-de-laage" title="Ideas">🤔</a>
    <a href="https://translate.castopod.org" title="Traducción">🌍</a></td>
    <td align="center" valign="top" width="14.28%"><a href="https://twitter.com/lyonelbernard"><img src="https://castopod.org/assets/images/castopod-avatar.jpg" width="100" alt="Lyonel Bernard"/><br>
    <sub><b>Lyonel Bernard</b></sub></a><br>
    <a href="#ideas-lyonel" title="Ideas">🤔</a></td>
    <td align="center" valign="top" width="14.28%"><a href="https://www.crypticchameleon.com/"><img src="https://secure.gravatar.com/avatar/7c2a721b52d0763673a600e8f01bd745?s=80&d=identicon" width="100" alt="Christopher Lagonick-Weitzel"/><br>
    <sub><b>Christopher Lagonick-Weitzel</b></sub></a><br>
    <a href="#ideas-ctlw83" title="Ideas">🤔</a></td>
    <td align="center" valign="top" width="14.28%"><a href="https://ernestoacosta.me/"><img src="https://castopod.org/assets/images/castopod-avatar.jpg" width="100" alt="Ernesto Acosta"/><br>
    <sub><b>Ernesto Acosta</b></sub></a><br>
    <a href="#ideas-ernestoacosta" title="Ideas">🤔</a></td>
  </tr>
</tbody></table>


<!-- ALL-CONTRIBUTORS-LIST:END -->

Este proyecto sigue la especificación de [all-contributors](https://github.com/all-contributors/all-contributors). Se aceptan contribuciones de cualquier tipo.

## Contacto

Puedes ponerte en contacto con nosotros para ayuda o si tienes alguna pregunta en:

- [Discord](https://castopod.org/discord) (para chatear en tiempo real con los desarrolladores y la comunidad)
- [Seguimiento de problemas](https://code.castopod.org/adaures/castopod/-/issues) (para cualquier solicitud de nueva característica o informe de error)

Alternativamente, puedes seguirnos en las redes sociales para obtener noticias sobre Castopod:

- [podlibre.social](https://podlibre.social/@Castopod) (Instancia Mastodon)
- [Twitter](https://twitter.com/castopod)
- [LinkedIn](https://linkedin.com/company/castopod)
- [Facebook](https://www.facebook.com/castopod)

## Patrocinadores

El desarrollo continuo de Castopod es posible gracias al apoyo de sus patrocinadores. Si quieres ayudar, considera [patrocinar el desarrollo de Castopod](https://opencollective.com/castopod/contribute).

<div class="flex flex-wrap gap-x-16 gap-y-8">
    <a href="https://adaures.com/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/adaures.svg" alt="Logo de Ad Aures" class="h-16" /></a>
    <a href="https://nlnet.nl/project/Castopod/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/nlnet.svg" alt="Logo de NLnet" class="h-16" /></a>
</div>

## Licencia

[Licencia de GNU Affero General Public License v3.0](https://choosealicense.com/licenses/agpl-3.0/)

Derechos de autor © 2020-presente, [Ad Aures](https://adaures.com/).
