---
sidebarDepth: 2
---

# Benvenuto 👋

[![release-badge]][release]&nbsp;[![license-badge]][license]&nbsp;[![contributions-badge]][contributions]&nbsp;[![semantic-release-badge]][semantic-release]&nbsp;[![crowdin-badge]][crowdin]&nbsp;[![discord-badge]][discord]&nbsp;[![stars-badge]][stars]

Castopod è una piattaforma di hosting gratuita e open-source progettata per i podcaster che desiderano interagire con il proprio pubblico.

Castopod è facile da installare ed è stato progettato con [CodeIgniter4](https://codeigniter.com/), un framework PHP potente e leggero.

<div class="flex items-center">
  <a href="/it/getting-started/install" class="inline-flex items-center px-4 py-2 mx-auto font-semibold text-center text-white rounded-full shadow gap-x-1 bg-pine-500 hover:no-underline hover:bg-pine-600">Installare<svg viewBox="0 0 24 24" width="1em" height="1em" class="text-xl text-pine-200"><path fill="currentColor" d="m16.172 11-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"></path></svg></a>
</div>

## Caratteristiche

- 🌱 &nbsp;Libero, gratuito e open-source (Licenza AGPL v3)
- 🔐 &nbsp;orientato alla sovranità dei dati: il tuo contenuto, la tua audience e le tue statistiche ti appartengono e solo a te
- 🪄&nbsp;Funzionalità del Podcasting 2.0: GUID, blocco, trascrizioni, finanziamento, capitoli, geolocalizzazione, ospiti, estratti audio, ...
- 💬 &nbsp;Social network integrato:
  - 🚀 &nbsp;Castopod fa parte del Fediverso, una rete sociale decentralizzata
  - ❤️ &nbsp;Crea pubblicazioni, condividi, metti in preferiti e commenta gli episodi
- 📈 &nbsp;Statistiche integrate:
  - ⚖️ &nbsp;Conforme GDPR / CCPA / LGPD
  - 🪙&nbsp;Misurazione dell'audience IABv2
  - 🏡 &nbsp;Statistiche integrate, nessuna terza parte coinvolta
- 📢 &nbsp;Strumenti di marketing integrati:
  - ✅ &nbsp;Pronto per l'ottimizzazione per i motori di ricerca (metadati open-graph, JSON-LD...)
  - 📱 &nbsp;PWA: installa come app standalone
  - 🎨 &nbsp;Colori del tema personalizzabili
  - 🎬 &nbsp;Genera clip video pronte per la condivisione dagli episodi
  - 🔉 &nbsp;Genera estratti audio
  - ▶️ &nbsp;Incorpora i tuoi episodi in qualsiasi sito web
- 💸 &nbsp;Monetizzazione:
  - 🔗 &nbsp;Link di finanziamento
  - 📲 &nbsp;pubblicità "listen-to-click"
  - 🤝 &nbsp;value4value / WebMonetization
  - 💎 &nbsp;Podcast premium
- 📡&nbsp;Pubblica i tuoi episodi ovunque con RSS:
  - 📱 &nbsp;Su tutti gli indici e le applicazioni: Podcast Index, Podcasts Apple, Spotify, Google Podcasts, Deezer, Podcast Addict, Podfriend...
  - ⚡&nbsp;Trasmetti i tuoi episodi istantaneamente con WebSub
- 📥 &nbsp;Importa il tuo podcast: sposta il tuo podcast esistente su Castopod
- 📤 &nbsp;Sposta il tuo podcast su un altro servizio di hosting
- 🔀 &nbsp;Multi-tenant: ospita quanti podcast desideri
- 👥 &nbsp;Multi-utente: aggiungi contributori e assegna i loro ruoli
- 🌎 &nbsp;supporto i18n: tradotto in inglese, francese, polacco, tedesco, portoghese, brasiliano e spagnolo... e [altro in futuro](https://translate.castopod.org)!

## Perché Castopod?

L'ecosistema del podcasting è decentralizzato per natura: puoi creare il tuo podcast come file RSS, pubblicarlo sul web e farlo condividere ovunque online.

È infatti uno dei pochi mezzi di comunicazione che è rimasto così a lungo.

Con l'evolversi degli usi, sempre più persone si stanno avvicinando ai podcast: sia che si tratti di creatori che cercano nuovi modi per condividere le proprie idee, sia che si tratti di ascoltatori alla ricerca di contenuti migliori.

Con l'aumento dell'uso dei podcast, alcune aziende stanno cercando di trasformarlo in un mezzo più controllato e centralizzato.

Castopod è stato creato con l'obiettivo di fornire un'alternativa aperta e sostenibile all'hosting dei tuoi podcast, promuovendo la decentralizzazione per garantire che la creatività dei podcaster possa esprimersi.

Questo progetto è sostenuto dalla comunità open-source, e in particolare dai movimenti [Fediverse](https://fediverse.party/en/fediverse/) e [Podcasting 2.0](https://podcastindex.org/).

## Confronto con altre soluzioni

Crediamo che una soluzione non sia necessariamente adatta a tutti, dipende molto dalle tue esigenze. Ecco quindi alcuni confronti con altri strumenti per aiutarti a valutare se Castopod è quello giusto per te.

### Castopod vs Wordpress

Castopod viene spesso definito come "il Wordpress dei podcast" a causa delle somiglianze tra i due. In qualche modo è vero. E in realtà, Castopod è stato fortemente ispirato dall'ecosistema di Wordpress, vedendo la facilità di adozione da parte della comunità e il numero di siti web che lo utilizzano.

Proprio come Wordpress, Castopod è gratuito e open source, costruito con PHP e un database MySQL e viene confezionato in modo da poterlo facilmente installare sulla maggior parte dei server web.

Wordpress è un ottimo modo per creare il tuo sito web e personalizzarlo con plugin per ottenere quello che vuoi. È un CMS completo che ti aiuta a creare qualsiasi tipo di sito web.

D'altra parte, Castopod è stato creato per soddisfare specificamente le esigenze dei podcaster, concentrandosi sul podcasting e basta. Non hai bisogno di nessun plugin per cominciare il tuo percorso nel mondo dei podcast.

Ciò consente di ottimizzare i processi specifici del podcasting: dalla creazione del tuo podcast alla pubblicazione di nuovi episodi, fino alla diffusione, al marketing ed alle analisi.

Infine, a seconda delle tue esigenze, Wordpress e Castopod possono perfettamente convivere in quanto condividono gli stessi requisiti!

### Castopod vs Funkwhale

Funkwhale è un server musicale auto-ospitato, moderno, gratuito e open source. Come Castopod, Funkwhale fa parte del Fediverso, una rete sociale decentralizzata che permette l'interoperabilità tra i due.

Funkwhale è stato inizialmente costruito intorno alla musica. E successivamente, con l'evoluzione del progetto, è stata introdotta la possibilità di ospitare podcast.

A differenza di Funkwhale, Castopod è stato progettato e costruito esclusivamente intorno al podcasting. Ciò consente un'implementazione più facile delle funzionalità legate all'ecosistema del podcasting, come le funzionalità del podcasting 2.0 (trascrizioni, capitoli, posizioni, persone, ...).

Quindi, è probabile che tu utilizzi Funkwhale se desideri ospitare la tua musica e utilizzi Castopod se desideri ospitare i tuoi podcast.

### Castopod vs altri servizi di hosting dei podcast

Ci sono molte soluzioni per ospitare i tuoi podcast, alcune delle quali sono davvero ottime e [molte di loro](https://podcastindex.org/apps) stanno aderendo alla fazione del Podcasting 2.0 proprio come Castopod!

Ogni soluzione ha le sue peculiarità, puoi confrontarle con l'elenco delle caratteristiche.

Detto questo, ci sono due differenze principali rispetto alle altre soluzioni per podcasting:

- Castopod può essere auto-ospitato ed è l'unica soluzione che ti consente di mantenere il controllo completo su ciò che produci. D'altra parte, essendo open-source, hai il potere di modificarlo come desideri.

- Castopod è l'unica soluzione che integra sia una rete sociale decentralizzata con ActivityPub che le funzionalità del "Podcasting 2.0", riducendo la distanza tra i due.

## Contribuire

Ti piace Castopod e vorresti aiutare? Dai un'occhiata alla seguente documentazione per iniziare.

### Codice di condotta

Castopod ha adottato un codice di condotta a cui si aspetta che i partecipanti del progetto si attengano. Leggi il [CODE_OF_CONDUCT](https://code.castopod.org/adaures/castopod/-/blob/beta/CODE_OF_CONDUCT.md) per capire quali azioni saranno e non saranno tollerate.

### Guida alla contribuzione

Leggi la nostra [guida alla contribuzione](./contributing/guidelines.md) per conoscere il nostro processo di sviluppo, come proporre correzioni di bug e miglioramenti, e come costruire e testare le tue modifiche a Castopod.

## Sostenitori ✨

Un ringraziamento a queste persone meravigliose ([chiave dei emoji](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/yassinedoghri"><img src="https://code.castopod.org/uploads/-/system/user/avatar/3/avatar.png?s=100" width="100px;" alt="Yassine Doghri"/><br /><sub><b>Yassine Doghri</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=yassinedoghri" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=yassinedoghri" title="Reviewed Pull Requests">👀</a> <a href="#maintenance-yassinedoghri" title="Maintenance">🚧</a> <a href="#content-yassinedoghri" title="Content">🖋</a> <a href="#design-yassinedoghri" title="Design">🎨</a> <a href="#a11y-yassinedoghri" title="Accessibility">️️️️♿️</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-yassinedoghri" title="Answering Questions">💬</a> <a href="#mentoring-yassinedoghri" title="Mentoring">🧑‍🏫</a> <a href="#infra-yassinedoghri" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-yassinedoghri" title="Ideas, Planning, & Feedback">🤔</a> <a href="#projectManagement-yassinedoghri" title="Project Management">📆</a> <a href="https://blog.castopod.org/author/yassinedoghri/" title="Blogposts">📝</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/benjamin"><img src="https://code.castopod.org/uploads/-/system/user/avatar/2/avatar.png?s=100" width="100px;" alt="Benjamin Bellamy"/><br /><sub><b>Benjamin Bellamy</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=benjamin" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=benjamin" title="Reviewed Pull Requests">👀</a> <a href="#content-benjamin" title="Content">🖋</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-benjamin" title="Answering Questions">💬</a> <a href="#infra-benjamin" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-benjamin" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://blog.castopod.org/author/benjamin-bellamy/" title="Blogposts">📝</a> <a href="#projectManagement-benjamin" title="Project Management">📆</a> <a href="#talk-benjamin" title="Talks">📢</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ola-hn"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Ola Hneini"/><br /><sub><b>Ola Hneini</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=ola" title="Reviewed Pull Requests">👀</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="#maintenance-ola" title="Maintenance">🚧</a> <a href="#question-ola" title="Answering Questions">💬</a> <a href="#ideas-ola" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/adrinux"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Adriano"/><br /><sub><b>Adriano</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="#ideas-adrinux" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/vCroco"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Emanuele Carotenuto"/><br /><sub><b>Emanuele Carotenuto</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/robertomorgana"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Roberto Morgana"/><br /><sub><b>Roberto Morgana</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Metioche"><img src="https://avatars.githubusercontent.com/u/15211050?v=4?s=100" width="100px;" alt="Metioche"/><br /><sub><b>Metioche</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/pizzapieball"><img src="https://avatars.githubusercontent.com/u/8199516?v=4?s=100" width="100px;" alt="pizzapieball"/><br /><sub><b>pizzapieball</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/raiwa03"><img src="https://avatars.githubusercontent.com/u/5203107?v=4?s=100" width="100px;" alt="Raiwa"/><br /><sub><b>Raiwa</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/krzysztof-domanczyk"><img src="https://avatars.githubusercontent.com/u/75178474?v=4?s=100" width="100px;" alt="Krzysztof Domanczyk"/><br /><sub><b>Krzysztof Domanczyk</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

Questo progetto segue le specifiche di [all-contributors](https://github.com/all-contributors/all-contributors). Contributi di qualsiasi tipo sono benvenuti!

## Contattaci

Puoi contattarci per ottenere aiuto o fare qualsiasi domanda su:

- [Discord](https://castopod.org/discord) (per chattare in tempo reale con gli sviluppatori e la community)
- [Tracciamento dei problemi](https://code.castopod.org/adaures/castopod/-/issues) (per ogni richiesta di nuova funzionalità o segnalazione di bug)

In alternativa, puoi seguirci sui social media per rimanere aggiornato sulle novità di Castopod:

- [podlibre.social](https://podlibre.social/@Castopod) (Mastodon Instance)
- [Twitter](https://twitter.com/castopod)
- [LinkedIn](https://linkedin.com/company/castopod)
- [Facebook](https://www.facebook.com/castopod)

## Sostenitori

Lo sviluppo continuativo di Castopod è reso possibile grazie al supporto dei suoi sostenitori. Se vuoi aiutare, considera di [sostenere lo sviluppo di Castopod](https://opencollective.com/castopod/contribute).

<div class="flex flex-wrap gap-x-16 gap-y-8">
  <a href="https://adaures.com/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/adaures.svg" alt="Logo di Ad Aures" class="h-16" /></a>
  <a href="https://nlnet.nl/project/Castopod/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/nlnet.svg" alt="Logo di NLnet" class="h-16" /></a>
</div>

## Licenza

[GNU Affero General Public License v3.0](https://choosealicense.com/licenses/agpl-3.0/)

Diritti d'autore © 2020-presente, [Ad Aures](https://adaures.com/).
https://img.shields.io/gitlab/v/release/2?color=brightgreen&gitlab_url=https%3A%2F%2Fcode.castopod.org%2F&include_prereleases&label=release
https://img.shields.io/github/license/ad-aures/castopod?color=blue
https://img.shields.io/badge/contributions-welcome-brightgreen.svg
https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg
https://img.shields.io/github/stars/ad-aures/castopod?style=social

[release]: https://code.castopod.org/adaures/castopod/-/releases
[license]: https://code.castopod.org/adaures/castopod/-/blob/beta/LICENSE.md
[contributions]: https://code.castopod.org/adaures/castopod/-/issues
[semantic-release]: https://github.com/semantic-release/semantic-release
[discord]: https://castopod.org/discord
[stars]: https://github.com/ad-aures/castopod/stargazers
[crowdin]: https://translate.castopod.org/project/castopod