---
sidebarDepth: 2
---

# Welkom 👋

[![release-badge]][release]&nbsp;[![license-badge]][license]&nbsp;[![contributions-badge]][contributions]&nbsp;[![semantic-release-badge]][semantic-release]&nbsp;[![crowdin-badge]][crowdin]&nbsp;[![discord-badge]][discord]&nbsp;[![stars-badge]][stars]

Castopod is a gratis en open-source hostingplatform die is ontworpen voor podcasters die willen communiceren en interageren met hun publiek.

Castopod is eenvoudig te installeren en is gebouwd met [CodeIgniter4](https://codeigniter.com/), een krachtig PHP-framework van zeer kleine omvang.

<div class="flex items-center">
  <a href="/fr/getting-started/install" class="inline-flex items-center px-4 py-2 mx-auto font-semibold text-center text-white rounded-full shadow gap-x-1 bg-pine-500 hover:no-underline hover:bg-pine-600">Installeren<svg viewBox="0 0 24 24" width="1em" height="1em" class="text-xl text-pine-200"><path fill="currentColor" d="m16.172 11-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"></path></svg></a>
</div>

## Kenmerken

- 🌱 &nbsp;Gratis, gratis en open-source (Licentie AGPL v3)
- 🔐 &nbsp;Gefocust op gegevenssoevereiniteit: uw inhoud, uw publiek en uw statistieken zijn van u en alleen van u
- 🪄&nbsp;Podcasting 2.0-functies: GUID, vergrendeling, transcripties, financiering, hoofdstukken, geolocatie, deelnemers, geluidsfragmenten, ...
- 💬 &nbsp;Geïntegreerd sociaal netwerk:
  - 🚀 &nbsp;Castopod maakt deel uit van Fediverse, een gedecentraliseerd sociaal netwerk
  - ❤️ &nbsp;Berichten maken, delen, markeren als favoriet en reageren op afleveringen
- 📈 &nbsp;Ingebouwde statistieken:
  - ⚖️ &nbsp;Compatibel met GDPR / CCPA / LGPD
  - 🪙&nbsp;IABv2 publieksmeting
  - 🏡 &nbsp;Ingebouwde statistieken, geen tussenpartij
- 📢 &nbsp;Geïntegreerde marketingtools:
  - ✅ &nbsp;Klaar voor SEO (open-graph metatags, JSON-LD, ...)
  - 📱 &nbsp;PWA: installeer als standalone app
  - 🎨 &nbsp;Aanpasbare themakleuren
  - 🎬 &nbsp;Genereer deelklare videoclips van afleveringen
  - 🔉 &nbsp;Genereer geluidsfragmenten
  - ▶️ &nbsp;Integreer uw afleveringen op elke website
- 💸 &nbsp;Monetisatie:
  - 🔗 &nbsp;Financieringslink
  - 📲 &nbsp;advertenties "listen-to-click"
  - 🤝 &nbsp;value4value / WebMonetisatie
  - 💎 &nbsp;Premium podcasts
- 📡 &nbsp;Publiceer uw afleveringen overal met RSS:
  - 📱 &nbsp;Op alle indexen en apps: Podcast Index, Podcasts Apple, Spotify, Google Podcasts, Deezer, Podcast Addict, Podfriend, ...
  - ⚡&nbsp;Stream uw afleveringen onmiddellijk via WebSub
- 📥 &nbsp;Podcast importeren: verplaats uw bestaande podcast naar Castopod
- 📤 &nbsp;Verhuis uw podcast naar een andere host
- 🔀 &nbsp;Multi-tenant: host zoveel podcasts als je wilt
- 👥 &nbsp;Multi-gebruiker: voeg bijdragers toe en definieer hun rollen
- 🌎 &nbsp;i18n-ondersteuning: vertaald in het Engels, Frans, Pools, Duits, Portugees, Braziliaans & Spaans... en [meer in de toekomst](https://translate.castopod.org)!

## Waarom Castopod?

Het podcastecosysteem is van nature decentraal: je kunt je podcast maken als een RSS-bestand, het publiceren op het web en het overal online delen.

Het is eigenlijk een van de weinige media die lange tijd op deze manier is gebleven.

Naarmate het gebruik verandert, raken steeds meer mensen geïnteresseerd in podcasts: of het nu gaat om makers die nieuwe manieren vinden om hun ideeën te delen, of luisteraars die op zoek zijn naar betere inhoud.

Met het steeds wijdverspreider gebruik van podcasting proberen sommige bedrijven het te verschuiven naar een meer gecontroleerd en gecentraliseerd medium.

Castopod is gemaakt om een open en duurzaam alternatief te bieden voor het hosten van uw podcasts, en bevordert decentralisatie om ervoor te zorgen dat de creativiteit van podcasters zich kan uiten.

Dit project wordt gesteund door de open-source community, en specifiek door de Fediverse- en Podcasting 2.0-bewegingen.

## Vergelijking met andere oplossingen

Wij zijn van mening dat een oplossing niet per se geschikt is voor iedereen, het hangt sterk af van uw behoeften. Hier zijn vergelijkingen met andere tools om u te helpen beoordelen of Castopod bij u&nbsp;past.

### Castopod vs. Wordpress

Castopod wordt vaak aangeduid als "de Wordpress voor podcasts" vanwege de overeenkomsten tussen beide. In zekere zin is dit waar. En eigenlijk is Castopod sterk geïnspireerd door het Wordpress-ecosysteem, gezien de gemakkelijke acceptatie door de community en het aantal websites dat het gebruikt&nbsp;

Net als Wordpress is Castopod gratis & open-source, gebouwd met behulp van PHP en een MySQL-database en is het verpakt op een manier dat je het gemakkelijk kunt installeren op de meeste webservers.

Wordpress is een geweldige manier om je website te maken en uit te breiden met plugins om te krijgen wat je wilt. Het is een volwaardig CMS waarmee je elk type website online kunt krijgen.

Castopod daarentegen is bedoeld om specifiek aan de behoeften van podcasters te voldoen, waarbij de focus ligt op podcasting, en niets anders. Je hebt geen plugin nodig om aan de slag te gaan met je podcast-reis.

Dit maakt het mogelijk om de processen die specifiek zijn voor podcasting te optimaliseren: van het maken van je podcasts en het publiceren van nieuwe afleveringen tot het uitzenden, promoten en analyseren van je podcasts.

Uiteindelijk kunnen Wordpress en Castopod, afhankelijk van uw behoeften, zelfs naast elkaar bestaan omdat ze dezelfde vereisten delen!

### Castopod vs. Funkwhale

Funkwhale is een zelf-gehoste, moderne gratis en open-source muziekserver. Net als Castopod bevindt Funkwhale zich op het Fediverse, een gedecentraliseerd sociaal netwerk dat interoperabiliteit tussen de twee mogelijk maakt.

Funkwhale is oorspronkelijk gebouwd rond muziek. Later, naarmate het project zich ontwikkelde, werd de mogelijkheid om podcasts te hosten geïntroduceerd.

In tegenstelling tot Funkwhale is Castopod exclusief ontworpen en gebouwd rond podcasting. Dit maakt het eenvoudiger om functies te implementeren die verband houden met het podcastecosysteem, zoals de podcasting 2.0-functies (transcripties, hoofdstukken, locaties, personen, ...).

Je zou Funkwhale moeten gebruiken als je je muziek wilt hosten, en Castopod als je je podcasts wilt hosten.

### Castopod vs. Andere podcasthosts

Er zijn veel oplossingen voor het hosten van je podcasts, waarvan er vele echt geweldig zijn en [veel ervan](https://podcastindex.org/apps) springen net zo goed op de Podcasting 2.0-trein als Castopod!

Elke oplossing verschilt van elkaar, je kunt vergelijken met de [lijst met functies](#features).

Dat gezegd hebbende, zijn er twee belangrijke verschillen met andere podcastoplossingen:

- Castopod kan zelf worden geïnstalleerd en is de enige oplossing waarmee u de volledige controle heeft over wat u produceert. Aan de andere kant, omdat het open-source is, heeft u de mogelijkheid om het aan uw behoeften aan te passen.

- Castopod is de enige oplossing die op dit moment zowel een gedecentraliseerd sociaal netwerk met ActivityPub integreert als "Podcasting 2.0"-functionaliteiten, waardoor de kloof tussen beide wordt verkleind.

## Bijdragen

Hou je van Castopod en wil je helpen? Bekijk de volgende documentatie om je op weg te helpen.

### Gedragscode

Castopod heeft een Gedragscode aangenomen waarvan we verwachten dat deelnemers aan het project zich eraan houden. Lees de [GEDRAGSREGELS](https://code.castopod.org/adaures/castopod/-/blob/beta/gedragsregels.md) zodat je begrijpt welke acties wel en niet zullen worden&nbsp;getolereerd.

### Bijdragengids

Lees onze [bijdragengids](./contributing/guidelines.md) om meer te weten te komen over ons ontwikkelingsproces, hoe je bugfixes en verbeteringen kunt voorstellen, en hoe je je wijzigingen in Castopod kunt bouwen en testen.

## Bijdragers ✨

Dank aan deze geweldige mensen ([emoji sleutel](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/yassinedoghri"><img src="https://code.castopod.org/uploads/-/system/user/avatar/3/avatar.png?s=100" width="100px;" alt="Yassine Doghri"/><br /><sub><b>Yassine Doghri</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=yassinedoghri" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&amp;state=all&amp;approver_usernames[]=yassinedoghri" title="Reviewed Pull Requests">👀</a> <a href="#maintenance-yassinedoghri" title="Maintenance">🚧</a> <a href="#content-yassinedoghri" title="Content">🖋</a> <a href="#design-yassinedoghri" title="Design">🎨</a> <a href="#a11y-yassinedoghri" title="Accessibility">️️️️♿️</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-yassinedoghri" title="Answering Questions">💬</a> <a href="#mentoring-yassinedoghri" title="Mentoring">🧑‍🏫</a> <a href="#infra-yassinedoghri" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-yassinedoghri" title="Ideas, Planning, & Feedback">🤔</a> <a href="#projectManagement-yassinedoghri" title="Project Management">📆</a> <a href="https://blog.castopod.org/author/yassinedoghri/" title="Blogposts">📝</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/benjamin"><img src="https://code.castopod.org/uploads/-/system/user/avatar/2/avatar.png?s=100" width="100px;" alt="Benjamin Bellamy"/><br /><sub><b>Benjamin Bellamy</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=benjamin" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&amp;state=all&amp;approver_usernames[]=benjamin" title="Reviewed Pull Requests">👀</a> <a href="#content-benjamin" title="Content">🖋</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-benjamin" title="Answering Questions">💬</a> <a href="#infra-benjamin" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-benjamin" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://blog.castopod.org/author/benjamin-bellamy/" title="Blogposts">📝</a> <a href="#projectManagement-benjamin" title="Project Management">📆</a> <a href="#talk-benjamin" title="Talks">📢</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/benjamin"><img src="https://code.castopod.org/uploads/-/system/user/avatar/2/avatar.png?s=100" width="100px;" alt="Benjamin Bellamy"/><br /><sub><b>Benjamin Bellamy</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=mattrude" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="#maintenance-benjamin" title="Maintenance">🚧</a> <a href="#question-benjamin" title="Answering Questions">💬</a> <a href="#ideas-benjamin" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/ola-hn"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Ola Hneini"/><br /><sub><b>Ola Hneini</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&amp;state=all&amp;approver_usernames[]=ola" title="Reviewed Pull Requests">👀</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="#maintenance-ola" title="Maintenance">🚧</a> <a href="#question-ola" title="Answering Questions">💬</a> <a href="#ideas-ola" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://mastodon.federati.net/@spark"><img src="https://secure.gravatar.com/avatar/ebdc35166d85286f02f640a5a8279d29?s=80&d=identicon?s=100" width="100px;" alt="Mark Spark"/><br /><sub><b>Mark Spark</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="#infra-spark" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/fgrégoire"><img src="https://avatars.githubusercontent.com/u/4352491?v=4?s=100" width="100px;" alt="François Grégoire"/><br /><sub><b>François Grégoire</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://mastodon.cloud/@ComputerGuru"><img src="https://secure.gravatar.com/avatar/f6e42e077aec4ce60352210d84a1a6db?s=80&d=identicon?s=100" width="100px;" alt="ComputerGuru"/><br /><sub><b>ComputerGuru</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://roarnomore.com/"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Joe Scylla"/><br /><sub><b>Joe Scylla</b></sub></a><br /><a href="#infra-joe" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#question-joe" title="Answering Questions">💬</a> <a href="#ideas-joe" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://mastodon.fedi.be/@amdg2"><img src="https://avatars.githubusercontent.com/u/236482?v=4?s=100" width="100px;" alt="amdg2 on Mastodon"/><br /><sub><b>amdg2 on Mastodon</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="#question-amdg2" title="Answering Questions">💬</a> <a href="#ideas-amdg2" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://opencollective.com/castopod/sponsor/2/website" target="_blank"><img src="https://avatars.githubusercontent.com/u/12787079?v=4?s=100" width="100px;" alt="Incenp on Open Collective"/><br /><sub><b>Incenp on Open Collective</b></sub></a><br /><a href="#financial-incenp" title="Financial">💵</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ad-aures"><img src="https://avatars.githubusercontent.com/u/207360?v=4?s=100" width="100px;" alt="Philippe Charrière"/><br /><sub><b>Philippe Charrière</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="#infra-ad-aures" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-ad-aures" title="Ideas, Planning, & Feedback">🤔</a> <a href="#projectManagement-ad-aures" title="Project Management">📆</a> <a href="#tool-ad-aures" title="Tools">🔧</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/lucas830"><img src="https://avatars.githubusercontent.com/u/2420195?v=4?s=100" width="100px;" alt="Lucas"/><br /><sub><b>Lucas</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/mdyd-dev"><img src="https://avatars.githubusercontent.com/u/82813877?v=4?s=100" width="100px;" alt="Maxime Desantis"/><br /><sub><b>Maxime Desantis</b></sub></a><br /><a href="#infra-mdyd-dev" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/vpoyet-dev"><img src="https://secure.gravatar.com/avatar/f2e8ed84d918ea40d6d87e3cbe91014a?s=80&d=identicon?s=100" width="100px;" alt="Virgile POYET"/><br /><sub><b>Virgile POYET</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Comain"><img src="https://avatars.githubusercontent.com/u/9818080?v=4?s=100" width="100px;" alt="Comain"/><br /><sub><b>Comain</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/antoinelr"><img src="https://secure.gravatar.com/avatar/6e52a901f8cc89a25beecdcee8a36fa9?s=80&d=identicon?s=100" width="100px;" alt="Antoine Le Roy"/><br /><sub><b>Antoine Le Roy</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="#infra-antoinelr" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/melvin"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Melvin"/><br /><sub><b>Melvin</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="#infra-melvin" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-melvin" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://crowdin.com/profile/fabio77"><img src="https://secure.gravatar.com/avatar/15346816abdfc20cf0f4e28b65e259cc?size=160?s=100" width="100px;" alt="mimilantern"/><br /><sub><b>mimilantern</b></sub></a><br /><a href="https