---
sidebarDepth: 2
---

# Velkommen 👋

[![release-badge]][release]&nbsp;[![license-badge]][license]&nbsp;[![contributions-badge]][contributions]&nbsp;[![semantic-release-badge]][semantic-release]&nbsp;[![crowdin-badge]][crowdin]&nbsp;[![discord-badge]][discord]&nbsp;[![stars-badge]][stars]

Castopod er en gratis og åpen programvare for hosting av podcaster, designet for podcastere som ønsker å utveksle og samhandle med sitt publikum.

Castopod er enkel å installere og er bygget med [CodeIgniter4](https://codeigniter.com/), et kraftig PHP-rammeverk med svært liten størrelse.

<div class="flex items-center">
  <a href="/fr/getting-started/install" class="inline-flex items-center px-4 py-2 mx-auto font-semibold text-center text-white rounded-full shadow gap-x-1 bg-pine-500 hover:no-underline hover:bg-pine-600">Installer<svg viewBox="0 0 24 24" width="1em" height="1em" class="text-xl text-pine-200"><path fill="currentColor" d="m16.172 11-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"></path></svg></a>
</div>

## Funksjoner

- 🌱 &nbsp;GPLv3-lisensiert gratis og åpen programvare
- 🔐 &nbsp;fokus på data-suverenitet: innholdet, publikummet og statistikken tilhører deg og bare deg
- 🪄 &nbsp;Mange funksjoner fra Podcasting 2.0: GUID, låsing, transkripsjoner, finansiering, kapitler, geolokalisering, gjester, lydklipp osv.
- 💬 &nbsp;Innebygd sosialt nettverk:
  - 🚀 &nbsp;Castopod er en del av Fediverse, et desentralisert sosialt nettverk
  - ❤️ &nbsp;Opprett innlegg, del, favoritt og kommenter episoder
- 📈 &nbsp;Innebygd statistikk:
  - ⚖️ &nbsp;GDPR / CCPA / LGPD-kompatibel
  - 🪙 &nbsp;IABv2-tilpasset publikumsanalyse
  - 🏡 &nbsp;Innebygde statistikker, ingen mellomtjeneste
- 📢 &nbsp;Innebygd markedsføringsverktøy:
  - ✅ &nbsp;Klar for søkemotoroptimalisering (åpne-grafikk metatagger, JSON-LD, osv.)
  - 📱 &nbsp;Progressive Web App: Installer som en selvstendig app
  - 🎨 &nbsp;Tilpassbare fargetemaer
  - 🎬 &nbsp;Generer delbare videoklipp fra episoder
  - 🔉 &nbsp;Generer lydklipp
  - ▶️ &nbsp;Bygg inn episodene dine på hvilken som helst nettside
- 💸 &nbsp;Monetisering:
  - 🔗 &nbsp;Finansieringslenker
  - 📲 &nbsp;«lytt-for-å-klikke»-reklame
  - 🤝 &nbsp;value4value / WebMonetization
  - 💎 &nbsp;Premium-podcaster
- 📡 &nbsp;Publiser episodene dine overalt med RSS:
  - 📱 &nbsp;På alle indekser og apper: Podcast Index, Apple Podcasts, Spotify, Google Podcasts, Deezer, Podcast Addict, Podfriend osv.
  - ⚡ &nbsp;Send episodene dine øyeblikkelig med WebSub
- 📥 &nbsp;Importer podcaster: Flytt den eksisterende podcasten din til Castopod
- 📤 &nbsp;Flytt podcasten din til en annen vert
- 🔀 &nbsp;Flere leietakere: Vert så mange podcaster du vil
- 👥 &nbsp;Multibrukersystem: Legg til bidragsytere og definer rollene deres
- 🌎 &nbsp;i18n-støtte: Oversatt til engelsk, fransk, polsk, tysk, portugisisk, brasiliansk og spansk... og [flere i fremtiden](https://translate.castopod.org)!

## Hvorfor Castopod?

Podcast-økosystemet er desentralisert av natur: Du kan opprette en podcast som en RSS-fil, publisere den på nettet og dele den overalt på nettet.

Det er faktisk den eneste medietypen som har forblitt slik i lang tid.

Mens bruken endrer seg, blir det stadig flere som lager podcaster: Enten det er skapere som finner nye måter å dele ideene sine på, eller lyttere som søker bedre innhold.

Med den økende populariteten til podcasting, prøver noen selskaper å gjøre den til et mer kontrollert og sentralisert medium.

Castopod ble opprettet for å tilby et åpent og bærekraftig alternativ til hosting av podcaster, og fremme desentralisering for å sikre at kreativiteten til podcasteren kan utfolde seg.

Dette prosjektet blir drevet av det åpne kildemiljøet, spesielt av Fediverse og Podcasting 2.0-bevegelsene.

## Sammenligning med andre løsninger

Vi mener at en løsning ikke nødvendigvis passer alle. Det avhenger i stor grad av dine behov. Så her er sammenligninger med andre verktøy som kan hjelpe deg med å avgjøre om Castopod passer for&nbsp;deg.

### Castopod vs Wordpress

Castopod blir ofte referert til som "WordPress for podcaster" på grunn av likhetene mellom de to. På noen måter er dette sant. Og faktisk ble Castopod sterkt inspirert av WordPress-økosystemet, da vi så hvor enkelt det var å adoptere det fra fellesskapet og antall nettsteder som bruker&nbsp;det.

Akkurat som WordPress, er Castopod gratis og åpen programvare, bygget med PHP og MySQL og kan enkelt installeres på de fleste webservere.

WordPress er en flott måte å lage nettsiden din på og utvide den med utvidelser for å få det du ønsker. Det er et fullstendig CMS som hjelper deg med å få all type nettsider på&nbsp;nett.

På den annen side er Castopod ment å adressere podcasterens spesifikke behov, med fokus på podcasting, og ingenting annet. Du trenger ikke en eneste utvidelse for å komme i gang med din podcasting&nbsp;reise.

Dette gir mulighet for å optimalisere prosessene som er spesifikke for podcasting: fra opprettelsen av podcaster og publisering av nye episoder helt til&nbsp;markedsføring og analyse.

Avhengig av behovene dine kan WordPress og Castopod til og med leve side om side, da de deler samme&nbsp;krav!

### Castopod vs Funkwhale

Funkwhale er en selvhostet, moderne gratis og åpen musikkserver. Akkurat som Castopod er Funkwhale i Fediverse, et desentralisert sosialt nettverk som tillater samhandling mellom&nbsp;dem.

Funkwhale ble opprinnelig bygget rundt musikk, og senere, da prosjektet utviklet seg, ble evnen til å hoste podcaster introdusert.

I motsetning til Funkwhale, er Castopod utelukkende bygget og designet med tanke på podcasting. Dette gjør det enklere å implementere funksjoner som er relatert til podcasting, som funksjoner som er knyttet til podcasting 2.0 (transkripsjoner, kapitler, steder, personer, osv.).

Derfor bør du sannsynligvis bruke Funkwhale hvis du vil hoste musikken din, og Castopod hvis du vil hoste&nbsp;podcastene dine.

### Castopod vs Andre vertstjenester for podcaster

Det finnes mange løsninger for hosting av podcaster, enkelte av dem er virkelig gode og [mange](https://podcastindex.org/apps) av dem hopper på Podcasting 2.0-toget, akkurat som&nbsp;Castopod!

Hver av disse løsningene er forskjellige fra hverandre, og du kan sammenligne dem ved å se på listen over&nbsp;funksjoner.

Det sagt, er det to hovedforskjeller med andre podcasting-løsninger:

- Castopod kan være selvhostet og er den eneste løsningen som lar deg ha full kontroll over det du produserer. Samtidig som det er en åpen kildekode-løsning kan du endre den slik du vil.

- Castopod er den eneste løsningen som i dag inneholder både en desentralisert sosial plattform med ActivityPub og funksjoner fra "Podcasting 2.0", og reduserer dermed avstanden mellom&nbsp;dem.

## Bli med oss

Synes du Castopod er flott og vil hjelpe til? Ta en titt på følgende dokumentasjon for å komme&nbsp;i&nbsp;gang.

### Verktøyetikk

Castopod har vedtatt en Verktøyetisk som vi forventer at prosjektdeltakere følger. Vennligst les
[Verktøyetiskhåndboken](https://code.castopod.org/adaures/castopod/-/blob/beta/CODE_OF_CONDUCT.md)
slik at du kan forstå hvilke handlinger som vil bli tolerert og ikke tolerert.

### Bidragsveiledning

Les [veiledningen vår for bidrag](./contributing/guidelines.md) for å lære mer om vår utviklingsprosess, hvordan du foreslår feilrettinger og forbedringer, og hvordan du bygger og tester endringene dine i Castopod.

## Bidragsytere ✨

Takk til disse fantastiske menneskene ([disse emojiene betyr forskjellige ting](https://allcontributors.org/docs/nb/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Du ikke fjerne eller endre denne seksjonen -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/yassinedoghri"><img src="https://code.castopod.org/uploads/-/system/user/avatar/3/avatar.png?s=100" width="100px;" alt="Yassine Doghri"/><br /><sub><b>Yassine Doghri</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Kode">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=yassinedoghri" title="Feilrapporter">🐛</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Dokumentasjon">📖</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=yassinedoghri" title="Vurderte forespørsler">👀</a> <a href="#maintenance-yassinedoghri" title="Vedlikehold">🚧</a> <a href="#content-yassinedoghri" title="Innhold">🖋️</a> <a href="#design-yassinedoghri" title="Design">🎨</a> <a href="#a11y-yassinedoghri" title="Tilgjengelighet">️️️️️♿️</a> <a href="https://translate.castopod.org" title="Oversettelse">🌍</a> <a href="#question-yassinedoghri" title="Besvare spørsmål">💬</a> <a href="#mentoring-yassinedoghri" title="Mentorering">🧑‍🏫</a> <a href="#infra-yassinedoghri" title="Infrastruktur (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-yassinedoghri" title="Idéer, planlegging og tilbakemelding">🤔</a> <a href="#projectManagement-yassinedoghri" title="Prosjektledelse">📆</a> <a href="https://blog.castopod.org/author/yassinedoghri/" title="Blogginnlegg">📝</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/benjamin"><img src="https://code.castopod.org/uploads/-/system/user/avatar/2/avatar.png?s=100" width="100px;" alt="Benjamin Bellamy"/><br /><sub><b>Benjamin Bellamy</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Kode">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=benjamin" title="Feilrapporter">🐛</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=benjamin" title="Vurderte forespørsler">👀</a> <a href="#content-benjamin" title="Innhold">🖋️</a> <a href="https://translate.castopod.org" title="Oversettelse">🌍</a> <a href="#question-benjamin" title="Besvare spørsmål">💬</a> <a href="#infra-benjamin" title="Infrastruktur (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-benjamin" title="Idéer, planlegging og tilbakemelding">🤔</a> <a href="https://blog.castopod.org/author/benjamin-bellamy/" title="Blogginnlegg">📝</a> <a href="#projectManagement-benjamin" title="Prosjektledelse">📆</a> <a href="#talk-benjamin" title="Presentasjoner">📢</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ola-hn"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Ola Hneini"/><br /><sub><b>Ola Hneini</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Kode">💻</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=ola" title="Vurderte forespørsler">👀</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Dokumentasjon">📖</a> <a href="#maintenance-ola" title="Vedlikehold">🚧</a> <a href="#question-ola" title="Besvare spørsmål">💬</a> <a href="#ideas-ola" title="Idéer, planlegging og tilbakemelding">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/arnonleh"><img src="https://code.castopod.org/uploads/-/system/user/avatar/41/avatar.png?s=100" width="100px;" alt="Arnþór L. Emilsson"/><br /><sub><b>Arnþór L. Emilsson</b></sub></a><br /><a href="#ideas-arnonleh" title="Idéer, planlegging og tilbakemelding">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/say9"><img src="https://code.castopod.org/uploads/-/system/user/avatar/45/avatar.png?s=100" width="100px;" alt="Ryugasaki Yuno"/><br /><sub><b>Ryugasaki Yuno</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=say9" title="Feilrapporter">🐛</a> <a href="#question-say9" title="Besvare spørsmål">💬</a> <a href="#infra-say9" title="Infrastruktur (Hosting, Build-Tools, etc)">🚇</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/upengareri"><img src="https://code.castopod.org/uploads/-/system/user/avatar/58/avatar.png?s=100" width="100px;" alt="Ugo Pengaréri"/><br /><sub><b>Ugo Pengaréri</b></sub></a><br /><a href="https://translate.castopod.org" title="Oversettelse">🌍</a> <a href="#question-uxam" title="Besvare spørsmål">💬</a> <a href="#ideas-uxam" title="Idéer, planlegging og tilbakemelding">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/onderceylan"><img src="https://code.castopod.org/uploads/-/system/user/avatar/70/avatar.png?s=100" width="100px;" alt="Onder Ceylan"/><br /><sub><b>Onder Ceylan</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Kode">💻</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

Dette prosjektet følger spesifikasjonen for
[all-contributors](https://github.com/all-contributors/all-contributors).
Alle typer bidrag er velkomne!

## Kontakte Oss

Du kan nå oss for hjelp eller stille spørsmål du har på:

- [Discord](https://castopod.org/discord) (for sanntidssamtaler med utviklere og samfunn)
- [Problemer](https://code.castopod.org/adaures/castopod/issues) (for forespørsler om nye funksjoner eller feilrapporter)

Alternativt kan du følge oss på sosiale medieplattformer for å få nyheter om Castopod:

- [podlibre.social](https://podlibre.social/@Castopod) (Mastodon-instans)
- [Twitter](https://twitter.com/castopod)

## Sponsorer

Den kontinuerlige utviklingen av Castopod er mulig med støtte fra bidragsytere. Hvis du vil hjelpe til, kan du vurdere å [sponsere utviklingen av Castopod](https://opencollective.com/castopod/contribute).

<div class="flex flex-wrap gap-x-16 gap-y-8">
  <a href="https://adaures.com/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/adaures.svg" alt="Banner for Adaures" class="h-16" /></a>
  <a href="https://nlnet.nl/project/Castopod/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/nlnet.svg" alt="NLnet banner" class="h-16" /></a>
</div>

## Lisens

[GNU Affero General Public License v3.0](https://choosealicense.com/licenses/agpl-3.0/)

Opphavsrett © 2020-nå, [Ad Aures](https://adaures.com/).
https://img.shields.io/gitlab/v/release/2?color=brightgreen&gitlab_url=https%3A%2F%2Fcode.castopod.org%2F&include_prereleases&label=release
https://img.shields.io/github/license/ad-aures/castopod?color=blue
https://img.shields.io/badge/contributions-welcome-brightgreen.svg
https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg
https://img.shields.io/github/stars/ad-aures/castopod?style=social

[release]: https://code.castopod.org/adaures/castopod/-/releases
[license]: https://code.castopod.org/adaures/castopod/-/blob/beta/LICENSE.md
[contributions]: https://code.castopod.org/adaures/castopod/-/issues
[semantic-release]: https://github.com/semantic-release/semantic-release
[discord]: https://castopod.org/discord
[stars]: https://github.com/ad-aures/castopod/stargazers
[crowdin]: https://translate.castopod.org/project/castopod