---
sidebarDepth: 2
---

# Witaj 👋

[![release-badge]][release]&nbsp;[![license-badge]][license]&nbsp;[![contributions-badge]][contributions]&nbsp;[![semantic-release-badge]][semantic-release]&nbsp;[![crowdin-badge]][crowdin]&nbsp;[![discord-badge]][discord]&nbsp;[![stars-badge]][stars]

Castopod to bezpłatna i open source'owa platforma hostingowa dla twórców podcastów, którzy chcą się angażować i komunikować się ze swoją publicznością.

Castopod jest łatwy w instalacji i został zaprojektowany przy użyciu [CodeIgniter4](https://codeigniter.com/), potężnego i bardzo małego frameworka PHP.

<div class="flex items-center">
  <a href="/pl/getting-started/install" class="inline-flex items-center px-4 py-2 mx-auto font-semibold text-center text-white rounded-full shadow gap-x-1 bg-pine-500 hover:no-underline hover:bg-pine-600">Instalacja<svg viewBox="0 0 24 24" width="1em" height="1em" class="text-xl text-pine-200"><path fill="currentColor" d="m16.172 11-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"></path></svg></a>
</div>

## Funkcje

- 🌱 &nbsp;Wolne, darmowe i open-source (Licencja AGPL v3)
- 🔐 &nbsp;Skupione na świadczeniu usług suwerenności danych: Twoje treści, Twoja
  publiczność i Twoje statystyki należą tylko do Ciebie
- 🪄&nbsp;Funkcje Podcasting 2.0: GUID, blokada,
  transkrypcje, finansowanie, rozdziały, geolokalizacja, goście,
  wycinki dźwiękowe, ...
- 💬 &nbsp;Wbudowane media społecznościowe:
  - 🚀 &nbsp;Castopod jest częścią Fediversum, zdecentralizowanej sieci społecznościowej
  - ❤&nbsp;Tworzenie postów, udostępnianie, dodawanie do ulubionych i komentowanie
    odcinków
- 📈 &nbsp;Wbudowane statystyki:
  - ⚖️ &nbsp;Zgodne z RODO / CCPA / LGPD
  - 🪙&nbsp;Pomiar widowni IABv2
  - 🏡 &nbsp;Wbudowane statystyki, brak pośredniczących stron trzecich
- 📢 &nbsp;Wbudowane narzędzia marketingowe:
  - ✅ &nbsp;Gotowe do SEO (meta-tagi open-graph, JSON-LD...)
  - 📱 &nbsp;PWA: zainstaluj jako odrębną aplikację
  - 🎨 &nbsp;Dostosowywalne kolory motywu
  - 🎬 &nbsp;Wygeneruj gotowe udostępnianie wideo z odcinków
  - 🔉 &nbsp;Generuj wycinki dźwiękowe
  - ▶️ &nbsp;Wbuduj swoje odcinki w dowolną stronę internetową
- 💸 &nbsp;Monetyzacja:
  - 🔗 &nbsp;Linki do finansowania
  - 📲 &nbsp;reklama "listen-to-click”
  - 🤝 &nbsp;value4value / WebMonetization
  - 💎 &nbsp;Płatne podcasty
- 📡&nbsp;Opublikuj swoje odcinki wszędzie za pomocą RSS:
  - 📱 &nbsp;Na wszystkich indeksach i w aplikacjach: Podcast Index,
    Podcasty Apple, Spotify, Google Podcasts, Deezer, Podcast Addict, Podfriend...
  - ⚡&nbsp;Natychmiastowe rozpowszechnianie Twoich odcinków za pomocą WebSub
- 📥 &nbsp;Importowanie podcastu: przenieś istniejący podcast do Castopod
- 📤 &nbsp;Przenieś swój podcast do innego dostawcy
- 🔀 &nbsp;Wielojednostkowe: hostuj tyle podcastów, ile chcesz
- 👥 &nbsp;Wielu użytkowników: dodawaj współtwórców i definiuj ich role
- 🌎 &nbsp;Obsługa i18n: tłumaczenie na angielski, francuski, polski, niemiecki,
  portugalski, portugalski (brazylijski), hiszpański... i
  [w przyszłości więcej](https://translate.castopod.org)!

## Dlaczego Castopod ?

Ekosystem podcastingu jest z natury zdecentralizowany: możesz stworzyć swój podcast
jako plik RSS, opublikować go w sieci i udostępnić go wszędzie online.

W rzeczywistości jest to jedno z nielicznych mediów, które pozostało takim przez długi czas.

W miarę rozwoju sposobów korzystania z podcastingu, coraz więcej osób zaczyna słuchać podcastów: czy
to twórcy, którzy poszukują nowych sposobów dzielenia się swoimi pomysłami, czy słuchacze, którzy szukają
lepszego contentu.

Podcasty zaczynają być coraz bardziej popularne, więc niektóre firmy próbują przesunąć je w kierunku bardziej kontrolowanej i scentralizowanej platformy.

Castopod został stworzony jako otwarta i zrównoważona alternatywa dla hostingu Twoich podcastów, promując zdecentralizowane podejście, aby twórczość podcasterów mogła się wyrazić.

Ten projekt jest kierowany przez społeczność open-source, a konkretnie przez Ruch Fediverse i Podcasting 2.0.

## Porównanie z innymi rozwiązaniami

Wierzymy, że pewne rozwiązania nie są odpowiednie dla każdego, to zależy od Twoich potrzeb. Poniżej przedstawiamy porównanie z innymi narzędziami, które pomogą Ci ocenić, czy Castopod jest odpowiedni dla Ciebie.

### Castopod vs Wordpress

Castopod nazywany jest „Wordpressem dla podcastów” ze względu na podobieństwo do tych dwóch platform. W pewnym sensie to prawda. Rzeczywiście, Castopod został zainspirowany ekosystemem Wordpressa, obserwując łatwość korzystania z niego przez społeczność i liczbę działających na nim stron internetowych.

Podobnie jak Wordpress, Castopod jest darmowy i open source oraz oparty na PHP z bazą danych MySQL, a także zaprojektowany w taki sposób, aby łatwo można go było zainstalować na większości serwerów internetowych.

Wordpress to świetny sposób na stworzenie i rozszerzenie swojej strony internetowej za pomocą wtyczek, które pozwolą Ci na dostosowanie witryny dokładnie do Twoich potrzeb. Jest to zaawansowany system CMS, który pomoże Ci stworzyć dowolnego rodzaju stronę internetową.

Z drugiej jednak strony, Castopod ma na celu skoncentrowanie się na potrzebach twórców podcastów, skupienie się na podcastingu i niczym więcej. Nie potrzebujesz żadnych wtyczek, aby rozpocząć swoją przygodę z podcastingiem.

To pozwala na zoptymalizowanie procesów specyficznych dla podcastingu: od tworzenia podcastów i publikowania nowych odcinków po transmisję, marketing i analizy.

W zależności od Twoich potrzeb, Wordpress i Castopod mogą istnieć obok siebie, ponieważ mają takie same wymagania!

### Castopod vs Funkwhale

Funkwhale to samo-hostingowy, nowoczesny, wolny i open-source serwer muzyczny. Podobnie jak Castopod, Funkwhale jest w fediverse, zdecentralizowanej sieci społecznościowej, która umożliwia interoperacyjność między tymi dwoma platformami.

Funkwhale został początkowo zbudowany wokół muzyki. Później, w miarę rozwoju projektu, wprowadzono możliwość hostowania podcastów.

W przeciwieństwie do Funkwhale, Castopod został zaprojektowany i zbudowany wyłącznie wokół podcastingu. Dzięki temu możemy łatwo rozwijać funkcje związane z ekosystemem podcastingu, takie jak funkcje podcastingu 2.0 (transkrypcje, rozdziały, lokalizacje, osoby, ...).

Dlatego jeśli chcesz hostować swoją muzykę, powinieneś raczej użyć Funkwhale, a jeśli chcesz hostować swoje podcasty, powinieneś używać Castopod.

### Castopod vs inne hostingi podcastów

Istnieje wiele rozwiązań, dzięki którym możesz hostować swoje podcasty, niektóre z nich są naprawdę świetne, a [wiele z nich](https://podcastindex.org/apps) dołącza do ruchu Podcasting 2.0, podobnie jak Castopod!

Każde z tych rozwiązań różni się od siebie, możesz porównać je na podstawie [listy funkcji](#funkcje).

W każdym razie istnieją dwie główne różnice między innymi rozwiązaniami podcastowymi:

- Castopod można samodzielnie hostować i to jedyny sposób, który umożliwia pełną kontrolę nad tym, co produkujesz. Ponadto, jako oprogramowanie open-source, masz możliwość modyfikacji go tak, jak chcesz.

- Castopod jest jedynym rozwiązaniem, które integruje dzisiaj zarówno zdecentralizowaną sieć społecznościową opartą na ActivityPub, jak i funkcje "Podcasting 2.0", zmniejszając tym samym dystans między nimi.

## Wpływaj

Podoba Ci się Castopod i chciałbyś pomóc? Zapoznaj się z dokumentacją, aby rozpocząć.

### Kodeks postępowania

Castopod przyjął Kodeks postępowania, którego oczekujemy, że uczestnicy projektu będą przestrzegać. Proszę przeczytać
[Instrukcje CODE_OF_CONDUCT](https://code.castopod.org/adaures/castopod/-/blob/beta/CODE_OF_CONDUCT.md), aby dowiedzieć się, jakie działania będą tolerowane, a jakie nie.

### Przewodnik dla blogerów

Przeczytaj nasz [przewodnik dla współpracowników](./contributing/guidelines.md), aby dowiedzieć się więcej o naszym procesie rozwoju, jak zgłaszać poprawki i udoskonalać Castopod oraz jak tworzyć i testować zmiany w Castopod.

## Współpracownicy ✨

Podziękowania dla tych wspaniałych ludzi
([klucz emoji](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Nie usuwaj ani nie modyfikuj tej sekcji -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/yassinedoghri"><img src="https://code.castopod.org/uploads/-/system/user/avatar/3/avatar.png?s=100" width="100px;" alt="Yassine Doghri"/><br /><sub><b>Yassine Doghri</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=yassinedoghri" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=yassinedoghri" title="Reviewed Pull Requests">👀</a> <a href="#maintenance-yassinedoghri" title="Maintenance">🚧</a> <a href="#content-yassinedoghri" title="Content">🖋</a> <a href="#design-yassinedoghri" title="Design">🎨</a> <a href="#a11y-yassinedoghri" title="Accessibility">️️️️♿️</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-yassinedoghri" title="Answering Questions">💬</a> <a href="#mentoring-yassinedoghri" title="Mentoring">🧑‍🏫</a> <a href="#infra-yassinedoghri" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-yassinedoghri" title="Ideas, Planning, & Feedback">🤔</a> <a href="#projectManagement-yassinedoghri" title="Project Management">📆</a> <a href="https://blog.castopod.org/author/yassinedoghri/" title="Blogposts">📝</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/benjamin"><img src="https://code.castopod.org/uploads/-/system/user/avatar/2/avatar.png?s=100" width="100px;" alt="Benjamin Bellamy"/><br /><sub><b>Benjamin Bellamy</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=benjamin" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=benjamin" title="Reviewed Pull Requests">👀</a> <a href="#content-benjamin" title="Content">🖋</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-benjamin" title="Answering Questions">💬</a> <a href="#infra-benjamin" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-benjamin" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://blog.castopod.org/author/benjamin-bellamy/" title="Blogposts">📝</a> <a href="#projectManagement-benjamin" title="Project Management">📆</a> <a href="#talk-benjamin" title="Talks">📢</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ola-hn"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Ola Hneini"/><br /><sub><b>Ola Hneini</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=ola" title="Reviewed Pull Requests">👀</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="#maintenance-ola" title="Maintenance">🚧</a> <a href="#question-ola" title="Answering Questions">💬</a> <a href="#ideas-ola" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/manueladdo"><img src="https://castopod.org/assets/img/ma.png" width="100px;" alt="Romain de Laage"/><br /><sub><b>Manuel Addo</b><br />(French Translation)</sub></a><br /><a href="https://code.castopod.org/adaures/castopod/merge_requests/9" title="Reviewed Pull Requests">👀</a> <a href="https://translate.castopod.org" title="Translation">🌍</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Cpavcka"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Paweł Mrówczyński"/><br /><sub><b>Paweł Mrówczyński</b><br />(Polish Translation)</sub></a><br /><a href="https://translate.castopod.org" title="Translation">🌍</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/Adaures"><img src="https://secure.gravatar.com/avatar?d=mm&s=80" width="100px;" alt="Adaures"/><br /><sub><b>Adaures</b><br />(Project Manager)</sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=adaures" title="Bug reports">🐛</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#ideas-adaures" title="Ideas, Planning, & Feedback">🤔</a> <a href="#projectManagement-adaures" title="Project Management">📆</a></td>
    </tr>
  </tbody>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

Ten projekt realizowany jest dzięki wsparciu sponsorów. Jeśli chcesz pomóc, rozważ [sponsorowanie rozwoju Castopod](https://opencollective.com/castopod/contribute).

<div class="flex flex-wrap gap-x-16 gap-y-8">
  <a href="https://adaures.com/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/adaures.svg" alt="Logo Ad Aures" class="h-16" /></a>
  <a href="https://nlnet.nl/project/Castopod/" target="_blank" rel="noopener noreferrer"><img src="/images/sponsors/nlnet.svg" alt="Logo NLnet" class="h-16" /></a>
</div>

## Licencja

[GNU Affero General Public License v3.0](https://choosealicense.com/licenses/agpl-3.0/)

Prawa autorskie © 2020–obecnie, [Ad Aures](https://adaures.com/).
https://img.shields.io/github/v/release/catladyintech/castopod?color=brightgreen&label=release&style=for-the-badge
https://img.shields.io/github/license/ad-aures/castopod?color=blue&style=for-the-badge
https://img.shields.io/badge/contributions-welcome-brightgreen.svg?style=for-the-badge
https://img.shields.io/badge/%20%20%F0%9F%9A%80-semantic--release-e10079.svg?style=for-the-badge
https://img.shields.io/badge/discord-join%20us-7289da.svg?logo=discord&logoColor=fff&style=for-the-badge
https://img.shields.io/github/stars/ad-aures/castopod?style=social&style=for-the-badge
https://img.shields.io/crowdin/v/castopod?color=brightgreen&style=for-the-badge
