---
sidebarDepth: 2
---

# Bem-vindo 👋

[![release-badge]][release]&nbsp;[![license-badge]][license]&nbsp;[![contributions-badge]][contributions]&nbsp;[![semantic-release-badge]][semantic-release]&nbsp;[![crowdin-badge]][crowdin]&nbsp;[![discord-badge]][discord]&nbsp;[![stars-badge]][stars]

O Castopod é uma plataforma gratuita e de código aberto desenvolvida para
podcasters que desejam se conectar e interagir com seu público.

O Castopod é fácil de instalar e foi desenvolvido com
[CodeIgniter4](https://codeigniter.com/), um poderoso framework PHP muito
compacto.

<div class="flex items-center">
  <a href="/pt/getting-started/install" class="inline-flex items-center px-4 py-2 mx-auto font-semibold text-center text-white rounded-full shadow gap-x-1 bg-pine-500 hover:no-underline hover:bg-pine-600">Instalar<svg viewBox="0 0 24 24" width="1em" height="1em" class="text-xl text-pine-200"><path fill="currentColor" d="m16.172 11-5.364-5.364 1.414-1.414L20 12l-7.778 7.778-1.414-1.414L16.172 13H4v-2z"></path></svg></a>
</div>

## Características

- 🌱 &nbsp;Livres, gratuitos e de código aberto (Licença AGPL v3)
- 🔐 &nbsp;Focado na soberania de dados: seu conteúdo, seu público e suas estatísticas pertencem apenas a você
- 🪄&nbsp;Recursos do Podcasting 2.0: GUID, travamento,
  transcrições, financiamento, capítulos, geolocalização, participantes,
  trechos de áudio, ...
- 💬 &nbsp;Rede social integrada:
  - 🚀 &nbsp;O Castopod faz parte do Fediverso, uma rede social descentralizada
  - ❤️ &nbsp;Crie publicações, compartilhe, favorite e comente episódios
- 📈 &nbsp;Estatísticas integradas:
  - ⚖️ &nbsp;Compatível com GDPR / CCPA / LGPD
  - 🪙&nbsp;Medição de audiência IABv2
  - 🏡 &nbsp;Estatísticas integradas, sem intermediários de terceiros
- 📢 &nbsp;Ferramentas de marketing integradas:
  - ✅ &nbsp;Preparado para SEO (meta-tags open-graph, JSON-LD...)
  - 📱 &nbsp;PWA: instale como um aplicativo independente
  - 🎨 &nbsp;Personalize as cores do tema
  - 🎬 &nbsp;Crie clipes de vídeo para compartilhar a partir de episódios
  - 🔉 &nbsp;Crie trechos de áudio
  - ▶️ &nbsp;Incorpore seus episódios em qualquer site
- 💸 &nbsp;Monetização:
  - 🔗 &nbsp;Links para financiamento
  - 📲 &nbsp;Publicidade "listen-to-click"
  - 🤝 &nbsp;value4value / WebMonetization
  - 💎 &nbsp;Podcasts premium
- 📡&nbsp;Publique seus episódios em qualquer lugar com RSS:
  - 📱 &nbsp;Em todos os diretórios e aplicativos: Podcast Index,
    Podcasts Apple, Spotify, Google Podcasts, Deezer, Podcast Addict, Podfriend...
  - ⚡&nbsp;Transmita seus episódios instantaneamente com o WebSub
- 📥 &nbsp;Importe seu Podcast: migre seu podcast existente para o Castopod
- 📤 &nbsp;Mova seu podcast para outro provedor de hospedagem
- 🔀 &nbsp;Multi-inquilino: hospede quantos podcasts você quiser
- 👥 &nbsp;Multiusuário: adicione colaboradores e defina suas funções
- 🌎 &nbsp;suporte de i18n: traduzido para inglês, francês, polonês, alemão,
  português, brasileiro e espanhol... e
  [mais no futuro](https://translate.castopod.org)!

## Por que usar o Castopod?

O ecossistema de podcast é descentralizado por natureza: você pode criar seu podcast
como um arquivo RSS, publicá-lo na web e compartilhá-lo em qualquer lugar online.

De fato, é um dos poucos meios de comunicação que permaneceu assim por muito tempo.

À medida que os hábitos evoluem, cada vez mais pessoas estão se interessando por podcasts: sejam
criadores buscando novas maneiras de compartilhar suas ideias, ou ouvintes em busca
de um conteúdo melhor.

Com o uso crescente de podcasts, algumas empresas estão tentando centralizar e controlar
essa mídia.

O Castopod foi criado com o objetivo de fornecer uma alternativa aberta e sustentável
para hospedar seus podcasts, promovendo a descentralização para garantir que a criatividade dos podcasters possa se expressar.

Este projeto é impulsionado pela comunidade de código aberto, e especificamente pelos movimentos
[Fediverse](https://fediverse.party/en/fediverse/) e
[Podcasting 2.0](https://podcastindex.org/).

## Comparação com outras soluções

Acreditamos que uma solução não é necessariamente a melhor para todos, depende muito das suas necessidades. Portanto, aqui estão algumas comparações com outras ferramentas para ajudar você a avaliar se o Castopod é a escolha certa para você.

### Castopod vs Wordpress

O Castopod é frequentemente chamado de "o Wordpress para podcasts" por causa das semelhanças entre os dois. De certa forma, isso é verdade. De fato, o Castopod foi muito inspirado pelo ecossistema do Wordpress, vendo a facilidade de adoção pela comunidade e o número de sites que o estão executando.

Assim como o Wordpress, o Castopod é gratuito e de código aberto, desenvolvido em PHP com um banco de dados MySQL e é empacotado de uma maneira que você pode facilmente instalá-lo na maioria dos servidores web.

O Wordpress é uma ótima maneira de criar seu site e estendê-lo com plugins para obter o que você deseja. É um CMS completo que ajuda você a colocar qualquer tipo de site online.

Por outro lado, o Castopod visa atender às necessidades dos podcasters especificamente, focando no podcasting e nada mais. Você não precisa de nenhum plugin para começar sua jornada de podcast.

Isso permite otimizar os processos específicos do podcasting: desde a criação dos seus podcasts e a publicação de novos episódios até a transmissão, marketing e análise.

Finalmente, dependendo das suas necessidades, o Wordpress e o Castopod podem até conviver lado a lado, pois compartilham os mesmos requisitos!

### Castopod vs Funkwhale

O Funkwhale é um servidor de música auto-hospedado, moderno, gratuito e de código aberto. Assim como o Castopod, o Funkwhale está no fediverso, uma rede social descentralizada que permite a interoperabilidade entre os dois.

O Funkwhale foi inicialmente construído em torno da música. Mais tarde, à medida que o projeto evoluía, a capacidade de hospedar podcasts foi introduzida.

Ao contrário do Funkwhale, o Castopod foi projetado e construído exclusivamente em torno do podcasting. Isso permite uma implementação mais fácil de recursos relacionados ao ecossistema de podcasting, como os recursos de podcasting 2.0 (transcrições, capítulos, locais, pessoas, ...).

Portanto, use o Funkwhale se você deseja hospedar sua música e use o Castopod se você deseja hospedar seus podcasts.

### Castopod vs outros hosts de podcasts

Existem muitas soluções disponíveis para hospedar seus podcasts, algumas das quais são realmente ótimas e [muitas](https://podcastindex.org/apps) estão aderindo ao movimento Podcasting 2.0, assim como o Castopod!

Cada uma dessas soluções é diferente das outras, você pode compará-las com a [lista de recursos](#características).

Dito isso, há duas diferenças principais em relação a outras soluções de podcasting:

- O Castopod pode ser auto-hospedado e é a única solução que permite que você tenha controle total sobre o que você produz. Além disso, como é de código aberto, você tem o poder de modificá-lo como quiser.

- O Castopod é a única solução que atualmente integra tanto uma rede social descentralizada com ActivityPub quanto recursos de "Podcasting 2.0", reduzindo a lacuna entre os dois.

## Contribuindo

Gostou do Castopod e gostaria de ajudar? Consulte a documentação a seguir para começar a contribuir.

### Código de conduta

O Castopod adotou um Código de Conduta ao qual esperamos que os participantes do projeto adiram. Leia o [manual do CÓDIGO DE CONDUTA](https://code.castopod.org/adaures/castopod/-/blob/beta/CODE_OF_CONDUCT.md) para entender quais ações serão ou não toleradas.

### Guia de contribuição

Leia o nosso [guia de contribuição (em inglês)](./contributing/guidelines.md) para saber mais sobre nosso processo de desenvolvimento, como propor correções de bugs e melhorias, e como compilar e testar suas alterações no Castopod.

## Contribuidores ✨

Agradecimentos a essas pessoas maravilhosas ([legenda de emojis](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Não remova ou modifique esta seção -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/yassinedoghri"><img src="https://code.castopod.org/uploads/-/system/user/avatar/3/avatar.png?s=100" width="100px;" alt="Yassine Doghri"/><br /><sub><b>Yassine Doghri</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=yassinedoghri" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=yassinedoghri" title="Reviewed Pull Requests">👀</a> <a href="#maintenance-yassinedoghri" title="Maintenance">🚧</a> <a href="#content-yassinedoghri" title="Content">🖋</a> <a href="#design-yassinedoghri" title="Design">🎨</a> <a href="#a11y-yassinedoghri" title="Accessibility">️️️️️♿️</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-yassinedoghri" title="Answering Questions">💬</a> <a href="#mentoring-yassinedoghri" title="Mentoring">🧑‍🏫</a> <a href="#infra-yassinedoghri" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-yassinedoghri" title="Ideas, Planning, & Feedback">🤔</a> <a href="#projectManagement-yassinedoghri" title="Project Management">📆</a> <a href="https://blog.castopod.org/author/yassinedoghri/" title="Blogposts">📝</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://code.castopod.org/benjamin"><img src="https://code.castopod.org/uploads/-/system/user/avatar/2/avatar.png?s=100" width="100px;" alt="Benjamin Bellamy"/><br /><sub><b>Benjamin Bellamy</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=benjamin" title="Bug reports">🐛</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=benjamin" title="Reviewed Pull Requests">👀</a> <a href="#content-benjamin" title="Content">🖋</a> <a href="https://translate.castopod.org" title="Translation">🌍</a> <a href="#question-benjamin" title="Answering Questions">💬</a> <a href="#infra-benjamin" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-benjamin" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://blog.castopod.org/author/benjamin-bellamy/" title="Blogposts">📝</a> <a href="#projectManagement-benjamin" title="Project Management">📆</a> <a href="#talk-benjamin" title="Talks">📢</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ola-hn"><img src="https://castopod.org/assets/images/castopod-avatar.jpg?s=100" width="100px;" alt="Ola Hneini"/><br /><sub><b>Ola Hneini</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/merge_requests?scope=all&state=all&approver_usernames[]=ola" title="Reviewed Pull Requests">👀</a> <a href="https://code.castopod.org/adaures/castopod/commits/master" title="Documentation">📖</a> <a href="#maintenance-ola" title="Maintenance">🚧</a> <a href="#question-ola" title="Answering Questions">💬</a> <a href="#ideas-ola" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/erichstark"><img src="https://avatars.githubusercontent.com/u/24607083?v=4" width="100px;" alt="Erich Stark"/><br /><sub><b>Erich Stark</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=ErichStark" title="Bug reports">🐛</a> <a href="#question-ErichStark" title="Answering Questions">💬</a> <a href="#infra-ErichStark" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-ErichStark" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/ridog"><img src="https://avatars.githubusercontent.com/u/17442050?v=4" width="100px;" alt="ridog"/><br /><sub><b>ridog</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=ridog" title="Bug reports">🐛</a> <a href="#ideas-ridog" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/gerardogc2378"><img src="https://avatars.githubusercontent.com/u/26679209?v=4" width="100px;" alt="Gerardo Gutierrez"/><br /><sub><b>Gerardo Gutierrez</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=gerardogc2378" title="Bug reports">🐛</a> <a href="#ideas-gerardogc2378" title="Ideas, Planning, & Feedback">🤔</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/acheaito"><img src="https://avatars.githubusercontent.com/u/5085188?v=4" width="100px;" alt="acheaito"/><br /><sub><b>acheaito</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=acheaito" title="Bug reports">🐛</a> <a href="#content-acheaito" title="Content">🖋</a> <a href="#design-acheaito" title="Design">🎨</a> <a href="#ideas-acheaito" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/arunahuja94"><img src="https://avatars.githubusercontent.com/u/16198330?v=4" width="100px;" alt="Arun Ahuja"/><br /><sub><b>Arun Ahuja</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=arunahuja94" title="Bug reports">🐛</a> <a href="#content-arunahuja94" title="Content">🖋</a> <a href="#ideas-arunahuja94" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/BurakDD"><img src="https://avatars.githubusercontent.com/u/53722029?v=4" width="100px;" alt="Burak Digdem"/><br /><sub><b>Burak Digdem</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=BurakDD" title="Bug reports">🐛</a> <a href="#question-BurakDD" title="Answering Questions">💬</a> <a href="#ideas-BurakDD" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://podlibre.social/@castopod"><img src="https://castopod.org/images/sponsors/podlibre.png" width="100px;" alt="PodLibre mastodon account"/><br /><sub><b>PodLibre mastodon account</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://aramarajendra.wordpress.com/"><img src="https://avatars.githubusercontent.com/u/22822365?v=4" width="100px;" alt="Aram Adhikari"/><br /><sub><b>Aram Adhikari</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=adhmhd" title="Bug reports">🐛</a> <a href="#question-adhmhd" title="Answering Questions">💬</a> <a href="#ideas-adhmhd" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-adhmhd" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://assert.typeartisan.com/"><img src="https://avatars.githubusercontent.com/u/4955613?v=4" width="100px;" alt="Allan Tipsword"/><br /><sub><b>Allan Tipsword</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=typeartisan" title="Bug reports">🐛</a> <a href="#infra-typeartisan" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#ideas-typeartisan" title="Ideas, Planning, & Feedback">🤔</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Deuchnord"><img src="https://avatars.githubusercontent.com/u/16842659?v=4" width="100px;" alt="Charles Gueunet"/><br /><sub><b>Charles Gueunet</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/commits/master" title="Code">💻</a> <a href="https://code.castopod.org/adaures/castopod/issues?author_username=Deuchnord" title="Bug reports">🐛</a> <a href="#content-Deuchnord" title="Content">🖋</a> <a href="#ideas-Deuchnord" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/avilarenata"><img src="https://avatars.githubusercontent.com/u/14462151?v=4" width="100px;" alt="Renata Ávila"/><br /><sub><b>Renata Ávila</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=avilarenata" title="Bug reports">🐛</a> <a href="#ideas-avilarenata" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/poortegoed"><img src="https://avatars.githubusercontent.com/u/560321?v=4" width="100px;" alt="poortegoed"/><br /><sub><b>poortegoed</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=poortegoed" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/timstruthoff"><img src="https://avatars.githubusercontent.com/u/7837910?v=4" width="100px;" alt="Tim Struthoff"/><br /><sub><b>Tim Struthoff</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=timstruthoff" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/mbauhardt"><img src="https://avatars.githubusercontent.com/u/18307660?v=4" width="100px;" alt="Markus Bauhardt"/><br /><sub><b>Markus Bauhardt</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=mbauhardt" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a href="https://github.com/Qgix"><img src="https://avatars.githubusercontent.com/u/26180645?v=4" width="100px;" alt="Michael Beck"/><br /><sub><b>Michael Beck</b></sub></a><br /><a href="https://code.castopod.org/adaures/castopod/issues?author_username=Qgix" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="14.28%"><a