<?php

declare(strict_types=1);

/**
 * ISO 3166 country codes
 *
 * @copyright  2020 Ad Aures
 * @license    https://www.gnu.org/licenses/agpl-3.0.en.html AGPL3
 * @link       https://castopod.org/
 */

return [
    'AD' => 'Andorre',
    'AE' => 'Émirats Arabes Unis',
    'AF' => 'Afghanistan',
    'AG' => 'Antigua-Et-Barbuda',
    'AI' => 'Anguilla',
    'AL' => 'Albanie',
    'AM' => 'Arménie',
    'AO' => 'Angola',
    'AQ' => 'Antarctique',
    'AR' => 'Argentine',
    'AS' => 'Samoa Américaines',
    'AT' => 'Autriche',
    'AU' => 'Australie',
    'AW' => 'Aruba',
    'AX' => 'Åland, Îles',
    'AZ' => 'Azerbaïdjan',
    'BA' => 'Bosnie-Herzégovine',
    'BB' => 'Barbade',
    'BD' => 'Bangladesh',
    'BE' => 'Belgique',
    'BF' => 'Burkina Faso',
    'BG' => 'Bulgarie',
    'BH' => 'Bahreïn',
    'BI' => 'Burundi',
    'BJ' => 'Bénin',
    'BL' => 'Saint-Barthélemy',
    'BM' => 'Bermudes',
    'BN' => 'Brunéi Darussalam',
    'BO' => 'Bolivie, État Plurinational De',
    'BQ' => 'Bonaire, Saint-Eustache Et Saba',
    'BR' => 'Brésil',
    'BS' => 'Bahamas',
    'BT' => 'Bhoutan',
    'BV' => 'Bouvet, Île',
    'BW' => 'Botswana',
    'BY' => 'Bélarus',
    'BZ' => 'Bélize',
    'CA' => 'Canada',
    'CC' => 'Cocos (Keeling), Îles',
    'CD' => 'Congo, La République Démocratique Du',
    'CF' => 'Centrafricaine, République',
    'CG' => 'Congo',
    'CH' => 'Suisse',
    'CI' => "Côte D’ivoire",
    'CK' => 'Cook, Îles',
    'CL' => 'Chili',
    'CM' => 'Cameroun',
    'CN' => 'Chine',
    'CO' => 'Colombie',
    'CR' => 'Costa Rica',
    'CU' => 'Cuba',
    'CV' => 'Cap-Vert',
    'CW' => 'Curaçao',
    'CX' => 'Christmas, Île',
    'CY' => 'Chypre',
    'CZ' => 'Tchéquie',
    'DE' => 'Allemagne',
    'DJ' => 'Djibouti',
    'DK' => 'Danemark',
    'DM' => 'Dominique',
    'DO' => 'République Dominicaine',
    'DZ' => 'Algérie',
    'EC' => 'Équateur',
    'EE' => 'Estonie',
    'EG' => 'Égypte',
    'EH' => 'Sahara Occidental',
    'ER' => 'Érythrée',
    'ES' => 'Espagne',
    'ET' => 'Éthiopie',
    'FI' => 'Finlande',
    'FJ' => 'Fidji',
    'FK' => 'Falkland, Îles (Malvinas)',
    'FM' => 'Micronésie, États Fédérés De',
    'FO' => 'Féroé, Îles',
    'FR' => 'France',
    'GA' => 'Gabon',
    'GB' => 'Royaume-Uni',
    'GD' => 'Grenade',
    'GE' => 'Géorgie',
    'GF' => 'Guyane Française',
    'GG' => 'Guernesey',
    'GH' => 'Ghana',
    'GI' => 'Gibraltar',
    'GL' => 'Groenland',
    'GM' => 'Gambie',
    'GN' => 'Guinée',
    'GP' => 'Guadeloupe',
    'GQ' => 'Guinée Équatoriale',
    'GR' => 'Grèce',
    'GS' => 'Géorgie Du Sud Et Les Îles Sandwich Du Sud',
    'GT' => 'Guatémala',
    'GU' => 'Guam',
    'GW' => 'Guinée-Bissau',
    'GY' => 'Guyane',
    'HK' => 'Hong Kong',
    'HM' => 'Heard Et Macdonald, Îles',
    'HN' => 'Honduras',
    'HR' => 'Croatie',
    'HT' => 'Haïti',
    'HU' => 'Hongrie',
    'ID' => 'Indonésie',
    'IE' => 'Irlande',
    'IL' => 'Israël',
    'IM' => 'Île De Man',
    'IN' => 'Inde',
    'IO' => 'Océan Indien, Territoire Britannique De L’',
    'IQ' => 'Irak',
    'IR' => 'Iran, République Islamique D’',
    'IS' => 'Islande',
    'IT' => 'Italie',
    'JE' => 'Jersey',
    'JM' => 'Jamaïque',
    'JO' => 'Jordanie',
    'JP' => 'Japon',
    'KE' => 'Kenya',
    'KG' => 'Kirghizistan',
    'KH' => 'Cambodge',
    'KI' => 'Kiribati',
    'KM' => 'Comores',
    'KN' => 'Saint-Kitts-Et-Nevis',
    'KP' => "Corée, République Populaire Démocratique De",
    'KR' => 'Corée, République De',
    'KW' => 'Koweït',
    'KY' => 'Caïmanes, Îles',
    'KZ' => 'Kazakhstan',
    'LA' => "Lao, République Démocratique Populaire",
    'LB' => 'Liban',
    'LC' => 'Sainte-Lucie',
    'LI' => 'Liechtenstein',
    'LK' => 'Sri Lanka',
    'LR' => 'Libéria',
    'LS' => 'Lesotho',
    'LT' => 'Lituanie',
    'LU' => 'Luxembourg',
    'LV' => 'Lettonie',
    'LY' => 'Libye',
    'MA' => 'Maroc',
    'MC' => 'Monaco',
    'MD' => 'Moldavie',
    'ME' => 'Monténégro',
    'MF' => 'Saint-Martin (Partie Française)',
    'MG' => 'Madagascar',
    'MH' => 'Marshall, Îles',
    'MK' => 'République De Macédoine',
    'ML' => 'Mali',
    'MM' => 'Birmanie',
    'MN' => 'Mongolie',
    'MO' => 'Macao',
    'MP' => 'Mariannes Du Nord, Îles',
    'MQ' => 'Martinique',
    'MR' => 'Mauritanie',
    'MS' => 'Montserrat',
    'MT' => 'Malte',
    'MU' => 'Maurice',
    'MV' => 'Maldives',
    'MW' => 'Malawi',
    'MX' => 'Mexique',
    'MY' => 'Malaisie',
    'MZ' => 'Mozambique',
    'N/A' => 'Non Applicable (IP locale…)',
    'NA' => 'Namibie',
    'NC' => 'Nouvelle-Calédonie',
    'NE' => 'Niger',
    'NF' => 'Norfolk, Île',
    'NG' => 'Nigéria',
    'NI' => 'Nicaragua',
    'NL' => 'Pays-Bas',
    'NO' => 'Norvège',
    'NP' => 'Népal',
    'NR' => 'Nauru',
    'NU' => 'Niué',
    'NZ' => 'Nouvelle-Zélande',
    'OM' => 'Oman',
    'PA' => 'Panama',
    'PE' => 'Pérou',
    'PF' => 'Polynésie Française',
    'PG' => 'Papouasie-Nouvelle-Guinée',
    'PH' => 'Philippines',
    'PK' => 'Pakistan',
    'PL' => 'Pologne',
    'PM' => 'Saint-Pierre-Et-Miquelon',
    'PN' => 'Îles Pitcairn',
    'PR' => 'Porto Rico',
    'PS' => 'État De Palestine',
    'PT' => 'Portugal',
    'PW' => 'Palaos',
    'PY' => 'Paraguay',
    'QA' => 'Qatar',
    'RE' => 'La Réunion',
    'RO' => 'Roumanie',
    'RS' => 'Serbie',
    'RU' => 'Russie, Fédération De',
    'RW' => 'Rwanda',
    'SA' => 'Arabie Saoudite',
    'SB' => 'Salomon, Îles',
    'SC' => 'Seychelles',
    'SD' => 'Soudan',
    'SE' => 'Suède',
    'SG' => 'Singapour',
    'SH' => 'Sainte-Hélène, Ascension Et Tristan Da Cunha',
    'SI' => 'Slovénie',
    'SJ' => 'Svalbard Et Île Jan Mayen',
    'SK' => 'Slovaquie',
    'SL' => 'Sierra Leone',
    'SM' => 'Saint-Marin',
    'SN' => 'Sénégal',
    'SO' => 'Somalie',
    'SR' => 'Suriname',
    'SS' => 'Soudan Du Sud',
    'ST' => 'Sao Tomé-Et-Principe',
    'SV' => 'El Salvador',
    'SX' => 'Saint-Martin (Partie Néerlandaise)',
    'SY' => 'Syrienne, République Arabe',
    'SZ' => 'Eswatini',
    'TC' => 'Turks Et Caïques, Îles',
    'TD' => 'Tchad',
    'TF' => 'Terres Australes Françaises',
    'TG' => 'Togo',
    'TH' => 'Thaïlande',
    'TJ' => 'Tadjikistan',
    'TK' => 'Tokélaou',
    'TL' => 'Timor oriental',
    'TM' => 'Turkménistan',
    'TN' => 'Tunisie',
    'TO' => 'Tonga',
    'TR' => 'Turquie',
    'TT' => 'Trinité-Et-Tobago',
    'TV' => 'Tuvalu',
    'TW' => 'Taïwan',
    'TZ' => 'Tanzanie, République Unie De',
    'UA' => 'Ukraine',
    'UG' => 'Ouganda',
    'UM' => 'Îles Mineures Éloignées Des États-Unis',
    'US' => 'États-Unis',
    'UY' => 'Uruguay',
    'UZ' => 'Ouzbékistan',
    'VA' => 'Saint-Siège (État de la Cité du Vatican)',
    'VC' => 'Saint-Vincent-Et-Les-Grenadines',
    'VE' => 'Venezuela, République Bolivarienne Du',
    'VG' => 'Îles Vierges Britanniques',
    'VI' => 'Îles Vierges des États-Unis',
    'VN' => 'Vietnam',
    'VU' => 'Vanuatu',
    'WF' => 'Wallis-Et-Futuna',
    'WS' => 'Samoa',
    'YE' => 'Yémen',
    'YT' => 'Mayotte',
    'ZA' => 'Afrique Du Sud',
    'ZM' => 'Zambie',
    'ZW' => 'Zimbabwe',
];
