<?php

declare(strict_types=1);

/**
 * ISO 3166 country codes
 *
 * @copyright  2020 Ad Aures
 * @license    https://www.gnu.org/licenses/agpl-3.0.en.html AGPL3
 * @link       https://castopod.org/
 */

return [
    'AD' => 'Andorra',
    'AE' => 'Dei sameinte arabiske emirata',
    'AF' => 'Afghanistan',
    'AG' => 'Antigua og Barbuda',
    'AI' => 'Anguilla',
    'AL' => 'Albania',
    'AM' => 'Armenia',
    'AO' => 'Angola',
    'AQ' => 'Antarktis',
    'AR' => 'Argentina',
    'AS' => 'Amerikansk Samoa',
    'AT' => 'Austerrike',
    'AU' => 'Australia',
    'AW' => 'Aruba',
    'AX' => 'Åland',
    'AZ' => 'Aserbajdsjan',
    'BA' => 'Bosnia og Herzegovina',
    'BB' => 'Barbados',
    'BD' => 'Bangladesh',
    'BE' => 'Belgia',
    'BF' => 'Burkina Faso',
    'BG' => 'Bulgaria',
    'BH' => 'Bahrain',
    'BI' => 'Burundi',
    'BJ' => 'Benin',
    'BL' => 'Sankt Barthélemy',
    'BM' => 'Bermuda',
    'BN' => 'Brunei Darussalam',
    'BO' => 'Den fleirnasjonale staten Bolivia',
    'BQ' => 'Bonaire, Sint Eustatius og Saba',
    'BR' => 'Brasil',
    'BS' => 'Bahamas',
    'BT' => 'Bhutan',
    'BV' => 'Bouvet-øya',
    'BW' => 'Botswana',
    'BY' => 'Kviterussland',
    'BZ' => 'Belize',
    'CA' => 'Canada',
    'CC' => 'Kokosøyane (Keelingøyane)',
    'CD' => 'Den demokratiske republikken Kongo',
    'CF' => 'Den sentralafrikanske republikken',
    'CG' => 'Kongo',
    'CH' => 'Sveits',
    'CI' => "Elfenbeinskysten",
    'CK' => 'Cook-øyane',
    'CL' => 'Chile',
    'CM' => 'Kamerun',
    'CN' => 'Kina',
    'CO' => 'Colombia',
    'CR' => 'Costa Rica',
    'CU' => 'Cuba',
    'CV' => 'Kapp Verde',
    'CW' => 'Curaçao',
    'CX' => 'Christmasøya',
    'CY' => 'Kypros',
    'CZ' => 'Tsjekkia',
    'DE' => 'Tyskland',
    'DJ' => 'Djibouti',
    'DK' => 'Danmark',
    'DM' => 'Dominica',
    'DO' => 'Den dominikanske republikken',
    'DZ' => 'Algerie',
    'EC' => 'Ecuador',
    'EE' => 'Estland',
    'EG' => 'Egypt',
    'EH' => 'Vest-Sahara',
    'ER' => 'Eritrea',
    'ES' => 'Spania',
    'ET' => 'Etiopia',
    'FI' => 'Finland',
    'FJ' => 'Fiji',
    'FK' => 'Falklandsøyane (Malvinas)',
    'FM' => 'Mikronesiaføderasjonen',
    'FO' => 'Færøyane',
    'FR' => 'Frankrike',
    'GA' => 'Gabon',
    'GB' => 'Storbritannia',
    'GD' => 'Grenada',
    'GE' => 'Georgia',
    'GF' => 'Fransk Guyana',
    'GG' => 'Guernsey',
    'GH' => 'Ghana',
    'GI' => 'Gibraltar',
    'GL' => 'Grønland',
    'GM' => 'Gambia',
    'GN' => 'Guinea',
    'GP' => 'Guadeloupe',
    'GQ' => 'Ekvatorialguinea',
    'GR' => 'Hellas',
    'GS' => 'Sør-Georgia og Sør-Sandwichøyane',
    'GT' => 'Guatemala',
    'GU' => 'Guam',
    'GW' => 'Guinea-Bissau',
    'GY' => 'Guyana',
    'HK' => 'Hong Kong',
    'HM' => 'Heard- og McDonaldøyane',
    'HN' => 'Honduras',
    'HR' => 'Kroatia',
    'HT' => 'Haiti',
    'HU' => 'Ungarn',
    'ID' => 'Indonesia',
    'IE' => 'Irland',
    'IL' => 'Israel',
    'IM' => 'Man',
    'IN' => 'India',
    'IO' => 'Det britiske territoriet i Indiahavet',
    'IQ' => 'Irak',
    'IR' => 'Iran',
    'IS' => 'Island',
    'IT' => 'Italia',
    'JE' => 'Jersey',
    'JM' => 'Jamaica',
    'JO' => 'Jordan',
    'JP' => 'Japan',
    'KE' => 'Kenya',
    'KG' => 'Kirgisistan',
    'KH' => 'Kambodsja',
    'KI' => 'Kiribati',
    'KM' => 'Komorane',
    'KN' => 'Saint Kitts og Nevis',
    'KP' => "Nord-Korea",
    'KR' => 'Sør-Korea',
    'KW' => 'Kuwait',
    'KY' => 'Cayman-øyane',
    'KZ' => 'Kasakhstan',
    'LA' => "Laos",
    'LB' => 'Libanon',
    'LC' => 'Saint Lucia',
    'LI' => 'Liechtenstein',
    'LK' => 'Sri Lanka',
    'LR' => 'Liberia',
    'LS' => 'Lesotho',
    'LT' => 'Litauen',
    'LU' => 'Luxembourg',
    'LV' => 'Latvia',
    'LY' => 'Libya',
    'MA' => 'Marokko',
    'MC' => 'Monaco',
    'MD' => 'Moldova',
    'ME' => 'Montenegro',
    'MF' => 'Saint Martin (fransk del)',
    'MG' => 'Madagaskar',
    'MH' => 'Marshall-øyane',
    'MK' => 'Den tidlegare jugoslaviske republikken Makedonia',
    'ML' => 'Mali',
    'MM' => 'Myanmar',
    'MN' => 'Mongolia',
    'MO' => 'Macao',
    'MP' => 'Nord-Marianane',
    'MQ' => 'Martinique',
    'MR' => 'Mauritania',
    'MS' => 'Montserrat',
    'MT' => 'Malta',
    'MU' => 'Mauritius',
    'MV' => 'Maldivane',
    'MW' => 'Malawi',
    'MX' => 'Mexico',
    'MY' => 'Malaysia',
    'MZ' => 'Mosambik',
    'N/A' => 'Ikkje relevant (lokal IP…)',
    'NA' => 'Namibia',
    'NC' => 'Ny-Kaledonia',
    'NE' => 'Niger',
    'NF' => 'Norfolkøya',
    'NG' => 'Nigeria',
    'NI' => 'Nicaragua',
    'NL' => 'Nederland',
    'NO' => 'Noreg',
    'NP' => 'Nepal',
    'NR' => 'Nauru',
    'NU' => 'Niue',
    'NZ' => 'New Zealand',
    'OM' => 'Oman',
    'PA' => 'Panama',
    'PE' => 'Peru',
    'PF' => 'Fransk Polynesia',
    'PG' => 'Papua Ny-Guinea',
    'PH' => 'Filippinane',
    'PK' => 'Pakistan',
    'PL' => 'Polen',
    'PM' => 'Saint Pierre og Miquelon',
    'PN' => 'Pitcairn',
    'PR' => 'Puerto Rico',
    'PS' => 'Palestina',
    'PT' => 'Portugal',
    'PW' => 'Palau',
    'PY' => 'Paraguay',
    'QA' => 'Qatar',
    'RE' => 'Réunion',
    'RO' => 'Romania',
    'RS' => 'Serbia',
    'RU' => 'Den russiske føderasjonen',
    'RW' => 'Rwanda',
    'SA' => 'Saudi-Arabia',
    'SB' => 'Solomonøyane',
    'SC' => 'Seychellane',
    'SD' => 'Sudan',
    'SE' => 'Sverige',
    'SG' => 'Singapore',
    'SH' => 'St. Helena, Ascension og Tristan da Cunha',
    'SI' => 'Slovenia',
    'SJ' => 'Svalbard og Jan Mayen',
    'SK' => 'Slovakia',
    'SL' => 'Sierra Leone',
    'SM' => 'San Marino',
    'SN' => 'Senegal',
    'SO' => 'Somalia',
    'SR' => 'Surinam',
    'SS' => 'Sør-Sudan',
    'ST' => 'São Tomé og Príncipe',
    'SV' => 'El Salvador',
    'SX' => 'Sint Maarten (nederlandsk del)',
    'SY' => 'Syria',
    'SZ' => 'Swaziland',
    'TC' => 'Turks- og Caicosøyane',
    'TD' => 'Tsjad',
    'TF' => 'Dei sørlege franske territoria',
    'TG' => 'Togo',
    'TH' => 'Thailand',
    'TJ' => 'Tadsjikistan',
    'TK' => 'Tokelau',
    'TL' => 'Aust-Timor',
    'TM' => 'Turkmenistan',
    'TN' => 'Tunisia',
    'TO' => 'Tonga',
    'TR' => 'Tyrkia',
    'TT' => 'Trinidad og Tobago',
    'TV' => 'Tuvalu',
    'TW' => 'Taiwan',
    'TZ' => 'Tanzania',
    'UA' => 'Ukraina',
    'UG' => 'Uganda',
    'UM' => 'Dei mindre ytre øyane i USA',
    'US' => 'USA',
    'UY' => 'Uruguay',
    'UZ' => 'Usbekistan',
    'VA' => 'Vatikanstaten',
    'VC' => 'Sankt Vincent og Grenadinane',
    'VE' => 'Venezuela',
    'VG' => 'Dei britiske jomfruøyane',
    'VI' => 'Dei amerikanske jomfruøyane',
    'VN' => 'Vietnam',
    'VU' => 'Vanuatu',
    'WF' => 'Wallis og Futuna',
    'WS' => 'Samoa',
    'YE' => 'Jemen',
    'YT' => 'Mayotte',
    'ZA' => 'Sør-Afrika',
    'ZM' => 'Zambia',
    'ZW' => 'Zimbabwe',
];
