<?php

declare(strict_types=1);

/**
 * @copyright  2020 Ad Aures
 * @license    https://www.gnu.org/licenses/agpl-3.0.en.html AGPL3
 * @link       https://castopod.org/
 */

return [
    'all_podcasts' => 'Alla podcasts',
    'no_podcast' => 'Ingen podcast hittades!',
    'create' => 'Skapa podcast',
    'import' => 'Importera podcast',
    'all_imports' => 'Podcast imports',
    'new_episode' => 'Nytt avsnitt',
    'view' => 'Visa podcast',
    'edit' => 'Redigera podcast',
    'publish' => 'Publicera podcasten',
    'publish_edit' => 'Redigera publikation',
    'delete' => 'Ta bort podcast',
    'see_episodes' => 'Se avsnitt',
    'see_contributors' => 'Se bidragsgivare',
    'go_to_page' => 'Gå till sida',
    'latest_episodes' => 'Senaste avsnitt',
    'see_all_episodes' => 'Se alla avsnitt',
    'draft' => 'Utkast',
    'sync_feed' => 'Synchronize feed',
    'sync_feed_hint' => 'Import this podcast\'s latest episodes',
    'messages' => [
        'createSuccess' => 'Podcast har skapats!',
        'editSuccess' => 'Podcasten har uppdaterats!',
        'importSuccess' => 'Podcasten har importerats!',
        'deleteSuccess' => 'Podcast @{podcast_handle} har raderats!',
        'deletePodcastMediaError' => 'Kunde inte ta bort podcast {type, select,
            cover {omslag}
            banner {banner}
            other {media}
        }.',
        'deleteEpisodeMediaError' => 'Misslyckades att ta bort avsnitt {episode_slug} {type, select,
            transcript {transcript}
            chapters {kapitel}
            image {omslag}
            audio {ljud}
            other {media}
        }.',
        'deletePodcastMediaFolderError' => 'Det gick inte att ta bort podcast-mediamappen {folder_path}. Du kan manuellt ta bort den från disken.',
        'podcastFeedUpdateSuccess' => 'Lyckad uppdatering: {number_of_new_episodes, plural,
            one {# episoden var}
            other {# episoder var}
        } lades till i podcasten!',
        'podcastFeedUpToDate' => 'Podcasten är redan uppdaterad.',
        'publishError' => 'Denna podcast är antingen redan publicerad eller schemalagd för publicering.',
        'publishEditError' => 'Denna podcast är inte schemalagd för publicering.',
        'publishCancelSuccess' => 'Podcast publicering avbröts!',
        'scheduleDateError' => 'Schemaläggningsdatum måste anges!',
    ],
    'form' => [
        'identity_section_title' => 'Podcast identitet',
        'identity_section_subtitle' => 'Dessa fält gör att du kan bli uppmärksammad.',
        'cover' => 'Podcast omslag',
        'cover_size_hint' => 'Omslaget måste vara fyrkantigt och minst 1400px brett och högt.',
        'banner' => 'Podcast banner',
        'banner_size_hint' => 'Banner måste ha ett 3:1-förhållande och vara minst 1500px bred.',
        'banner_delete' => 'Ta bort podcast banner',
        'title' => 'Rubrik',
        'handle' => 'Hantera',
        'handle_hint' =>
            'Används för att identifiera podcasten. Versaler, gemener, siffror och understrykningar accepteras.',
        'type' => [
            'label' => 'Typ',
            'episodic' => 'Episodic',
            'episodic_hint' => 'Om avsnitt är avsedda att konsumeras utan någon specifik ordning. Nyaste avsnitt kommer att presenteras först.',
            'serial' => 'Serie',
            'serial_hint' => 'Om avsnitt är avsedda att konsumeras i sekventiell ordning. De äldsta avsnitten kommer att presenteras först.',
        ],
        'description' => 'Beskrivning',
        'classification_section_title' => 'Klassificering',
        'classification_section_subtitle' =>
            'Dessa fält kommer att påverka din publik och konkurrens.',
        'language' => 'Språk',
        'category' => 'Kategori',
        'category_placeholder' => 'Välj en kategori…',
        'other_categories' => 'Andra kategorier',
        'parental_advisory' => [
            'label' => 'Föräldrarådgivande',
            'hint' => 'Innehåller det olämpligt innehåll?',
            'undefined' => 'odefinierad',
            'clean' => 'Ren',
            'explicit' => 'Uteslutande',
        ],
        'author_section_title' => 'Författare',
        'author_section_subtitle' => 'Vem hanterar podcasten?',
        'owner_name' => 'Ägarens namn',
        'owner_name_hint' =>
            'Endast för administrativt bruk. Synlig i det offentliga RSS-flödet.',
        'owner_email' => 'Ägarens e-post',
        'owner_email_hint' =>
            'Kommer att användas av de flesta plattformar för att verifiera podcast-ägandet. Synlig i det offentliga RSS-flödet.',
        'publisher' => 'Utgivare',
        'publisher_hint' =>
            'Gruppen som ansvarar för att skapa showen. Ofta hänvisar man till moderbolaget eller nätverket av en podcast. Detta fält är ibland märkt som "Författare".',
        'copyright' => 'Copyright',
        'location_section_title' => 'Plats',
        'location_section_subtitle' => 'Vilken plats handlar denna podcast om?',
        'location_name' => 'Platsnamn eller adress',
        'location_name_hint' => 'Detta kan vara en riktig plats eller fiktiv',
        'monetization_section_title' => 'Inkomster',
        'monetization_section_subtitle' =>
            'Tjäna pengar tack vare din publik.',
        'premium' => 'Premium',
        'premium_by_default' => 'Avsnitt måste anges som premium som standard',
        'premium_by_default_hint' => 'Podcast avsnitt kommer att markeras som premium som standard. Du kan fortfarande välja att ställa in några avsnitt, trailers eller bonusar som offentliga.',
        'op3' => 'Open Podcast Prefix Project (OP3)',
        'op3_hint' => 'Value your analytics data with OP3, an open-source and trusted third party analytics service. Share, validate and compare your analytics data with the open podcasting ecosystem.',
        'op3_enable' => 'Enable OP3 analytics service',
        'op3_enable_hint' => 'For security reasons, premium episodes\' analytics data will not be shared with OP3.',
        'payment_pointer' => 'Betalning pekare för Web Monetization',
        'payment_pointer_hint' =>
            'Detta är din där du kommer att få pengar tack vare Web Monetization',
        'advanced_section_title' => 'Avancerade parametrar',
        'advanced_section_subtitle' =>
            'Om du behöver RSS-taggar som Castopod inte hanterar, ställ in dem här.',
        'custom_rss' => 'Anpassade RSS-taggar för podcasten',
        'custom_rss_hint' => 'Detta kommer att injiceras i <unk> kanal<unk> taggen.',
        'new_feed_url' => 'Ny flödes-URL',
        'new_feed_url_hint' => 'Använd detta fält när du flyttar till en annan domän eller podcast webbhotell. Som standard är värdet inställt på nuvarande RSS-URL om podcasten importeras.',
        'old_feed_url' => 'Gammal flödes-URL',
        'partnership' => 'Samarbete',
        'partner_id' => 'ID',
        'partner_link_url' => 'Länk url',
        'partner_image_url' => 'Bild-URL',
        'partner_id_hint' => 'Din egen partner ID',
        'partner_link_url_hint' => 'Den generiska partnerns länkadress',
        'partner_image_url_hint' => 'Den generiska partnerns bildadress',
        'status_section_title' => 'Status',
        'block' => 'Podcast bör döljas från offentliga kataloger',
        'block_hint' =>
            'Podcasten visar eller dölj status: att växla på detta hindrar hela podcasten från att visas i Apple Podcasts, Google Podcasts, och alla tredjepartsappar som drar program från dessa kataloger. (Inte garanterat)',
        'complete' => 'Podcast kommer inte att ha nya avsnitt',
        'lock' => 'Förhindra podcast från att kopieras',
        'lock_hint' =>
            'Syftet är att berätta för andra podcast-plattformar om de får importera detta flöde. Ett värde av ja innebär att varje försök att importera detta flöde till en ny plattform bör avvisas.',
        'submit_create' => 'Skapa podcast',
        'submit_edit' => 'Spara podcast',
    ],
    'category_options' => [
        'uncategorized' => 'okategoriserad',
        'arts' => 'Konst',
        'business' => 'Företagande',
        'comedy' => 'Komedi',
        'education' => 'Utbildning',
        'fiction' => 'Fiktion',
        'government' => 'Myndighet',
        'health_and_fitness' => 'Hälsa &amp Träning',
        'history' => 'Historia',
        'kids_and_family' => 'Barn & Familj',
        'leisure' => 'Fritid',
        'music' => 'Musik',
        'news' => 'Nyheter',
        'religion_and_spirituality' => 'Religion & Andlighet',
        'science' => 'Vetenskap',
        'society_and_culture' => 'Samhälle & Kultur',
        'sports' => 'Sport',
        'technology' => 'Teknologi',
        'true_crime' => 'Sann brottslighet',
        'tv_and_film' => 'TV & Film',
        'books' => 'Böcker',
        'design' => 'Design',
        'fashion_and_beauty' => 'Mode & Skönhet',
        'food' => 'Mat',
        'performing_arts' => 'Scenkonst',
        'visual_arts' => 'Visuell konst',
        'careers' => 'Karriärer',
        'entrepreneurship' => 'Entreprenörskap',
        'investing' => 'Investering',
        'management' => 'Management',
        'marketing' => 'Marknadsföring',
        'non_profit' => 'Ideell organisation',
        'comedy_interviews' => 'Komedi Intervjuer',
        'improv' => 'Förbättra',
        'stand_up' => 'Stand-Up',
        'courses' => 'Kurser',
        'how_to' => 'Så funkar det',
        'language_learning' => 'Språkinlärning',
        'self_improvement' => 'Självförbättring',
        'comedy_fiction' => 'Komedi fiktion',
        'drama' => 'Drama',
        'science_fiction' => 'Science Fiction',
        'alternative_health' => 'Alternativ Hälsa',
        'fitness' => 'Träning',
        'medicine' => 'Medicin',
        'mental_health' => 'Mental hälsa',
        'nutrition' => 'Näring',
        'sexuality' => 'Sexualitet',
        'education_for_kids' => 'Utbildning för barn',
        'parenting' => 'Föräldraskap',
        'pets_and_animals' => 'Husdjur & djur',
        'stories_for_kids' => 'Berättelser för barn',
        'animation_and_manga' => 'Animering & Manga',
        'automotive' => 'Fordon',
        'aviation' => 'Luftfart',
        'crafts' => 'Hantverk',
        'games' => 'Spel',
        'hobbies' => 'Fritidsintressen',
        'home_and_garden' => 'Hem och trädgård',
        'video_games' => 'Videospel',
        'music_commentary' => 'Kommentar från musik',
        'music_history' => 'Musikhistorik',
        'music_interviews' => 'Musikintervjuer',
        'business_news' => 'Företagsnyheter',
        'daily_news' => 'Dagliga nyheter',
        'entertainment_news' => 'Underhållningsnyheter',
        'news_commentary' => 'Nyheter Kommentar',
        'politics' => 'Politik',
        'sports_news' => 'Sportnyheter',
        'tech_news' => 'Tekniknyheter',
        'buddhism' => 'Budism',
        'christianity' => 'Kristendom',
        'hinduism' => 'Hinduism',
        'islam' => 'Islam',
        'judaism' => 'Judendom',
        'religion' => 'Religion',
        'spirituality' => 'Andlighet',
        'astronomy' => 'Astronomi',
        'chemistry' => 'Kemi',
        'earth_sciences' => 'Jordvetenskap',
        'life_sciences' => 'Livsvetenskaper',
        'mathematics' => 'Matematik',
        'natural_sciences' => 'Naturvetenskap',
        'nature' => 'Natur',
        'physics' => 'Fysik',
        'social_sciences' => 'Samhällsvetenskap',
        'documentary' => 'Dokumentär',
        'personal_journals' => 'Personliga tidsskrifter',
        'philosophy' => 'Filosofi',
        'places_and_travel' => 'Resor & Resmål',
        'relationships' => 'Relationer',
        'baseball' => 'Baseball',
        'basketball' => 'Basket',
        'cricket' => 'Kricket',
        'fantasy_sports' => 'Fantasy Sport',
        'football' => 'Fotboll',
        'golf' => 'Golf',
        'hockey' => 'Hockey',
        'rugby' => 'Rugby',
        'running' => 'Löpning',
        'soccer' => 'Fotboll',
        'swimming' => 'Simning',
        'tennis' => 'Tennis',
        'volleyball' => 'Volleyboll',
        'wilderness' => 'Vildmark',
        'wrestling' => 'Brottning',
        'after_shows' => 'Efter serier',
        'film_history' => 'Film Historik',
        'film_interviews' => 'Filmintervjuer',
        'film_reviews' => 'Filmrecensioner',
        'tv_reviews' => 'TV recensioner',
    ],
    'publish_form' => [
        'back_to_podcast_dashboard' => 'Tillbaka till podcast instrumentpanel',
        'post' => 'Ditt meddelande inlägg',
        'post_hint' =>
            "Skriv ett meddelande för att meddela publiceringen av din podcast. Meddelandet kommer att visas på din podcasts hemsida.",
        'message_placeholder' => 'Skriv ditt meddelande…',
        'submit' => 'Publicera',
        'publication_date' => 'Publiceringsdatum',
        'publication_method' => [
            'now' => 'Nu',
            'schedule' => 'Schemalägg',
        ],
        'scheduled_publication_date' => 'Planerat publiceringsdatum',
        'scheduled_publication_date_hint' =>
            'Du kan schemalägga podcast-utgåvan genom att ställa in ett framtida publiceringsdatum. Detta fält måste formateras som YYYY-MM-DD HH:mm',
        'submit_edit' => 'Redigera publikation',
        'cancel_publication' => 'Avbryt publicering',
        'message_warning' => 'Du skrev inte ett meddelande för ditt tillkännagivande!',
        'message_warning_hint' => 'Att ha ett meddelande ökar socialt engagemang, vilket resulterar i en bättre synlighet för din podcast.',
        'message_warning_submit' => 'Publicera ändå',
    ],
    'publication_status_banner' => [
        'draft_mode' => 'utkastläge',
        'not_published' => 'Denna podcast är ännu inte publicerad.',
        'scheduled' => 'Denna podcast är schemalagd för publicering på {publication_date}.',
    ],
    'delete_form' => [
        'disclaimer' =>
            "Ta bort podcasten kommer att ta bort alla avsnitt, mediefiler, inlägg och analytics i samband med det. Denna åtgärd är oåterkallelig, du kommer inte att kunna hämta dem efteråt.",
        'understand' => 'Jag förstår, jag vill att podcasten ska raderas permanent',
        'submit' => 'Radera',
    ],
    'by' => 'Av {publisher}',
    'season' => 'Säsong {seasonNumber}',
    'list_of_episodes_year' => '{year} avsnitt ({episodeCount})',
    'list_of_episodes_season' =>
        'Säsong {seasonNumber} avsnitt ({episodeCount})',
    'no_episode' => 'Inga avsnitt hittades!',
    'follow' => 'Följ',
    'followers' => '{numberOfFollowers, plural,
        one {# följare}
        other {# följare}
    }',
    'posts' => '{numberOfPosts, plural,
        one {# inlägg}
        other {# inlägg}
    }',
    'activity' => 'Aktivitet',
    'episodes' => 'Avsnitt',
    'sponsor' => 'Sponsor',
    'funding_links' => 'Finansierar länkar för {podcastTitle}',
    'find_on' => 'Hitta {podcastTitle} på',
    'listen_on' => 'Lyssna på',
];
